<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="preferences.xsl"/>
<!-- <xsl:include href="skin-options.xsl"/> -->



<xsl:template match="/">
<html>
<head>

<meta name="YAMJ" content="MovieJukebox" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<title>MovieJukebox</title>
<meta>
	<xsl:if test="$use-startmenu='false'"><xsl:attribute name="http-equiv">REFRESH</xsl:attribute> <xsl:attribute name="content">0; url=<xsl:value-of select="index/detailsDirName" />/<xsl:value-of select="index/homePage" />.html</xsl:attribute></xsl:if>
</meta>
<style>
body { font-family: Arial; font-size: 16pt; font-weight: bold; color: #FFFFFF; text-decoration: none; }

table {font-family: Arial; font-size: 16pt; font-weight: bold; color: #FFFFFF; text-decoration: none; }
.hidden {visibility: hidden;}
.visible {visibility: visible;}


</style>
<script type="text/javascript">
//
function show(x)
{
document.getElementById('img'+x).setAttribute("width", "150");
document.getElementById('col'+x).setAttribute('class', 'visible');
}

function hide(x)
{
document.getElementById('img'+x).setAttribute("width", "140");
document.getElementById('col'+x).setAttribute('class', 'hidden');
} 
//
</script>

</head>
<xsl:if test="$use-startmenu='true'">
<body id="startmenu" bgproperties="fixed" bgcolor="#000000" onloadset="l3" topmargin="0" leftmargin="0" focustext="#ffffff" focuscolor="transparent" >
<xsl:attribute name="background"><xsl:value-of select="index/detailsDirName" />/pictures/wall/background_index.jpg</xsl:attribute>
<table align="left" width="1096">
<xsl:attribute name="background"><xsl:value-of select="index/detailsDirName" />/pictures/special/jukebox_index_overlay.png</xsl:attribute>
<tr>
<td width="218" height="350" align="center" valign="bottom"><a id="l1" name="l1" onmouseover="show(1);" onmouseout="hide(1);" onfocus="show(1);" onblur="hide(1);"><xsl:attribute name="href" select="$url1"/><img id="img1" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon1"/></xsl:attribute></img></a></td>
<td width="218" height="350" align="center" valign="bottom"><a id="l2" name="l2" onmouseover="show(2);" onmouseout="hide(2);" onfocus="show(2);" onblur="hide(2);"><xsl:attribute name="href" select="$url2"/><img id="img2" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon2"/></xsl:attribute></img></a></td>
<td width="218" height="350" align="center" valign="bottom"><a id="l3" name="l3" onmouseover="show(3);" onmouseout="hide(3);" onfocus="show(3);" onblur="hide(3);"><xsl:attribute name="href" select="$url3"/><img id="img3" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon3"/></xsl:attribute></img></a></td>
<td width="218" height="350" align="center" valign="bottom"><a id="l4" name="l4" onmouseover="show(4);" onmouseout="hide(4);" onfocus="show(4);" onblur="hide(4);"><xsl:attribute name="href" select="$url4"/><img id="img4" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon4"/></xsl:attribute></img></a></td>
<td width="218" height="350" align="center" valign="bottom"><a id="l5" name="l5" onmouseover="show(5);" onmouseout="hide(5);" onfocus="show(5);" onblur="hide(5);"><xsl:attribute name="href" select="$url5"/><img id="img5" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon5"/></xsl:attribute></img></a></td>
</tr>

<tr>
<td align="center"><table id="col1" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label1"/></td></tr></table></td>
<td align="center"><table id="col2" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label2"/></td></tr></table></td>
<td align="center"><table id="col3" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label3"/></td></tr></table></td>
<td align="center"><table id="col4" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label4"/></td></tr></table></td>
<td align="center"><table id="col5" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label5"/></td></tr></table></td>
</tr>
<xsl:if test="$icon6 !=''">
<tr>
<td width="218" height="160" align="center" valign="bottom"><a id="l6" name="l6" onmouseover="show(6);" onmouseout="hide(6);" onfocus="show(6);" onblur="hide(6);" onkeydownset="l1"><xsl:attribute name="href" select="$url6"/><img id="img6" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon6"/></xsl:attribute></img></a></td>
<td width="218" height="160" align="center" valign="bottom"><a id="l7" name="l7" onmouseover="show(7);" onmouseout="hide(7);" onfocus="show(7);" onblur="hide(7);" onkeydownset="l2"><xsl:attribute name="href" select="$url7"/><img id="img7" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon7"/></xsl:attribute></img></a></td>
<td width="218" height="160" align="center" valign="bottom"><a id="l8" name="l8" onmouseover="show(8);" onmouseout="hide(8);" onfocus="show(8);" onblur="hide(8);" onkeydownset="l3"><xsl:attribute name="href" select="$url8"/><img id="img8" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon8"/></xsl:attribute></img></a></td>
<td width="218" height="160" align="center" valign="bottom"><a id="l9" name="l9" onmouseover="show(9);" onmouseout="hide(9);" onfocus="show(9);" onblur="hide(9);" onkeydownset="l4"><xsl:attribute name="href" select="$url9"/><img id="img9" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon9"/></xsl:attribute></img></a></td>
<td width="218" height="160" align="center" valign="bottom"><a id="l10" name="l10" onmouseover="show(10);" onmouseout="hide(10);" onfocus="show(10);" onblur="hide(10);" onkeydownset="l5"><xsl:attribute name="href" select="$url10"/><img id="img10" width="140"><xsl:attribute name="src"><xsl:value-of select="index/detailsDirName" />/pictures/icons/<xsl:value-of select="$icon10"/></xsl:attribute></img></a></td>
</tr>
<tr>
<td align="center"><table id="col6" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label6"/></td></tr></table></td>
<td align="center"><table id="col7" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label7"/></td></tr></table></td>
<td align="center"><table id="col8" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label8"/></td></tr></table></td>
<td align="center"><table id="col9" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label9"/></td></tr></table></td>
<td align="center"><table id="col10" class="hidden" width="218" height="60"><tr><td align="center" valign="top"><xsl:value-of select="$label10"/></td></tr></table></td>
</tr>
</xsl:if>
<tr><td height="200"/></tr>
</table>

</body>
</xsl:if>
</html>
</xsl:template>
</xsl:stylesheet>
