﻿<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" />

<!-- Changing options in this file will only require the HTML pages to be regenerated, not the XML files -->

<!-- ************Language Options***************************** -->
<!-- Note that accented characters will usually not work -->

<!-- The following 4 controls the text in the movies detail page. -->
<!-- You *must* fill all 4 out to take affect in the regular movie details page (LowList=false). -->
<!-- When LowList=true, you can just fill out DirectedBy and/or Starring -->
<!-- Portuguese Example: <xsl:variable name="WrittenBy">Argumento</xsl:variable> -->
<xsl:variable name="DirectedBy">DIRECTEUR</xsl:variable>
<xsl:variable name="WrittenBy">ECRIT</xsl:variable>
<xsl:variable name="Duration">DUREE</xsl:variable>
<xsl:variable name="Starring">ACTEURS</xsl:variable>
<xsl:variable name="Release">SORTIE</xsl:variable><!-- Seen in Detail-->

<xsl:variable name="Other">AUTRE</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Genres">Genres</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="TitleText">Titre</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Rating">Note</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Year">Année</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Library">Librairie</xsl:variable><!-- Seen in Categories and Full-Poster Mode -->
<xsl:variable name="Cast">Avec</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Director">Directeur</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Writer">Ecrit</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Country">Pays</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Set">Set</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Genre">GENRE</xsl:variable><!-- Seen in LowList -->
<xsl:variable name="Watch">VU</xsl:variable><!-- Seen in ForComputer -->
<xsl:variable name="Part">PART</xsl:variable><!-- Seen in ForComputer and Movies Companion Pages -->
<xsl:variable name="Trailer">BANDE ANNONCE</xsl:variable>
<xsl:variable name="Season">Saison</xsl:variable>
<xsl:variable name="Specials">Specials</xsl:variable>
<xsl:variable name="Episodes">Episode(s)</xsl:variable>
<xsl:variable name="BackToDetails">Retour au détails</xsl:variable><!-- When you have the movie and/or TV Companion pages on (tv-extras or extras=true), you will see this message to take you back to the details. -->
<xsl:variable name="PlayAllText">Tout Jouer</xsl:variable><!-- This controls what "Play All" says in the TV details page -->
<xsl:variable name="PlayRandomText">Episode Aléatoire</xsl:variable><!-- This controls what "Play Random" says in the TV details page -->
<xsl:variable name="Page">Page</xsl:variable><!-- Paging text in the Wall view -->
<xsl:variable name="OutOf">/</xsl:variable><!-- Paging text in the Wall view -->
<xsl:variable name="EnterPassword">Mot de passe:</xsl:variable><!-- Password dialog box -->
<xsl:variable name="IncorrectPassword">Mauvais mot de passe.</xsl:variable><!-- Password dialog box -->

</xsl:stylesheet>