﻿<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" />

<!-- Changing options in this file will only require the HTML pages to be regenerated, not the XML files -->

<!-- ************Language Options***************************** -->
<!-- Note that accented characters will usually not work -->

<!-- The following 4 controls the text in the movies detail page. -->
<!-- You *must* fill all 4 out to take affect in the regular movie details page (LowList=false). -->
<!-- When LowList=true, you can just fill out DirectedBy and/or Starring -->
<!-- Portuguese Example: <xsl:variable name="WrittenBy">Argumento</xsl:variable> -->
<xsl:variable name="DirectedBy">DIRECTOR</xsl:variable>
<xsl:variable name="WrittenBy">GUIÓN</xsl:variable>
<xsl:variable name="Duration">DURACIÓN</xsl:variable>
<xsl:variable name="Starring">REPARTO</xsl:variable>
<xsl:variable name="Release">FECHA</xsl:variable><!-- Seen in Detail-->

<xsl:variable name="Other">Otros</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Genres">Géneros</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="TitleText">Título</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Rating">Rating</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Year">Año</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Library">Dirección</xsl:variable><!-- Seen in Categories and Full-Poster Mode -->
<xsl:variable name="Cast">Reparto</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Director">Director</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Writer">Guión</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Country">Pais</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Set">Grupo</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Genre">GÉNERO</xsl:variable><!-- Seen in LowList -->
<xsl:variable name="Watch">VER</xsl:variable><!-- Seen in ForComputer -->
<xsl:variable name="Part">PARTE</xsl:variable><!-- Seen in ForComputer and Movies Companion Pages -->
<xsl:variable name="Trailer">TRAILER</xsl:variable>
<xsl:variable name="Season">Temporada</xsl:variable>
<xsl:variable name="Specials">Especial</xsl:variable>
<xsl:variable name="Episodes">Episodio(s)</xsl:variable>
<xsl:variable name="BackToDetails">Volver</xsl:variable><!-- When you have the movie and/or TV Companion pages on (tv-extras or extras=true), you will see this message to take you back to the details. -->
<xsl:variable name="PlayAllText">Rep.Todo</xsl:variable><!-- This controls what "Play All" says in the TV details page -->
<xsl:variable name="PlayRandomText">Episodio al azar</xsl:variable><!-- This controls what "Play Random" says in the TV details page -->
<xsl:variable name="Page">Página</xsl:variable><!-- Paging text in the Wall view -->
<xsl:variable name="OutOf">/</xsl:variable><!-- Paging text in the Wall view -->
<xsl:variable name="EnterPassword">Contraseña:</xsl:variable><!-- Password dialog box -->
<xsl:variable name="IncorrectPassword">Contraseña equivocada.</xsl:variable><!-- Password dialog box -->

</xsl:stylesheet>