<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" omit-xml-declaration="yes"/>

<!--	<xsl:include href="preferences.xsl"/>   -->

	<!-- Needed Templates -->

		<!-- GT MOD TV SHOWS JS-->
		 
		 <!-- GT MOD TV SHOWS JS-->
	<xsl:template name="get-gttv-js">
	<script type="text/javascript">
		<xsl:comment>
		// series config vars

var iPage = 1;
var iEpPages = <xsl:value-of select="ceiling(count(files/file/filePlot) div 25)"/>;
var iEpisodeId = 1;
var iEpisodesPerPage = 25;
var iLoop = iEpisodesPerPage;
var fFirstCall = false;
var focusId = ' ';
var helpx = 0;
var helpy = 0;
var fShowSeasonInfo = false;
var fmorePages = false;
var iEpisodesLength = asEpisodePlot.length - 1;
var url = false;
var Eid = 'play';
var Evod = 'vod';
var x = 0;
var rRand = 1;
var fDetail = true;
var lastPos = 1;
var fPlaylist = <xsl:value-of select="$TVPlaylist"/>;
var iActiveItem = 1;
var iLastItem = 1;

//##########################################################
//## Functions Series ######################################
//##########################################################

var setVOD = function (Eid,Evod)
{

	document.getElementById(Eid).removeAttribute('vod');
	document.getElementById(Eid).removeAttribute('zcd');

	if (Evod == 'playlist') 
	{
	var Attribute = document.createAttribute("vod");
	Attribute.nodeValue = "playlist";
	document.getElementById(Eid).setAttributeNode(Attribute);

	}
	else if (Evod == 'zcd')
	{
	var Attribute = document.createAttribute("zcd");
	Attribute.nodeValue = "2";
	document.getElementById(Eid).setAttributeNode(Attribute);
		
	}
	else if (Evod == 'vod')
	{
	var Attribute = document.createAttribute("vod");
	Attribute.nodeValue = "";
	document.getElementById(Eid).setAttributeNode(Attribute);
	}
},

showEpisode = function(x)
{
	iEpisodeId = x;
	iActiveItem = x;
	helpy = x;
	url = asEpisodeUrl[x];
	if (!fDetail) 
	{
	show (iEpisodeId-(iPage-1)*25);
	}
	else
	{
	if (asEpisodeTitle[helpy].length <![CDATA[<]]> 25)
	{
	document.getElementById('episodeName').setAttribute("class","tvtt");
    }
	else
	{
		document.getElementById('episodeName').setAttribute("class","tvtt_small");
		if (asEpisodeTitle[helpy].length <![CDATA[>]]> 60)
		{
		asEpisodeTitle[helpy]=asEpisodeTitle[helpy].substring(0,58)+'...';
		}
	}
	document.getElementById('episodeName').firstChild.nodeValue = asEpisodeNo[helpy]+ ': ' + asEpisodeTitle[helpy];
	document.getElementById('episodeId').firstChild.nodeValue = asEpisodePlot[helpy];
	document.getElementById('EpisodeImg').setAttribute("src",asEpisodeImage[helpy]);
	document.getElementById('EpisodeWatched').setAttribute("src",asEpisodeWatched[iEpisodeId]);
	}

	document.getElementById('directplay').setAttribute("href",url);
	setVOD ('directplay', asEpisodeVod[helpy]);
	if (fPlaylist) 
	{
	document.getElementById('play').setAttribute("href",asEpisodePlaylist[helpy]);
	setVOD ('play', 'playlist');
	}
	else
	{
	document.getElementById('play').setAttribute("href",asEpisodeUrl[helpy]);
	setVOD ('play', asEpisodeVod[helpy]);
	}
	

	<xsl:if test="$tv-random-episode='true'">
	var time = new Date();
    var second = time.getSeconds();
 	
	rRand = rRand + second;
	rRand = 1 + rRand - iEpisodesLength*(Math.floor(rRand/iEpisodesLength));
	var rEp = rRand;
	setVOD ('randomplay', asEpisodeVod[rEp]);
	var rUrl= asEpisodeUrl[rEp];
	document.getElementById('randomplay').setAttribute("href",rUrl);
	
	</xsl:if>
},

changeEpisode = function (x)
{
	iActiveItem = iActiveItem + x;
	if (iActiveItem <![CDATA[<=]]> 0) 
		{
			iActiveItem = iEpisodesLength+iActiveItem ;
		}
	if (iActiveItem <![CDATA[>]]> iEpisodesLength) 
		{
			iActiveItem = iActiveItem-iEpisodesLength;
		}
	if (!fDetail) {checkPage();}
	showEpisode (iActiveItem);
},

checkPage = function()
{
	var iActivePage = 1+(Math.floor((iActiveItem-1)/iEpisodesPerPage));
		//document.getElementById('randomplay').firstChild.nodeValue = iActivePage;
		//document.getElementById('playall').firstChild.nodeValue = iPage;
	var iPageDiff = iActivePage - iPage;
	if (iPageDiff  <![CDATA[!=]]> 0) 
	{
		togglePage(iPageDiff);
	}
	
},
toggleDetail = function ()
{
	if (fDetail)
	{
	fDetail = false;
	
	//document.getElementById('play').setAttribute("href",'');
	//document.getElementById('play').setAttribute("onclick",'toggleDetail();');
	
	document.getElementById('tv_detail').setAttribute("class","hidden");
	document.getElementById('detailPage').setAttribute("background","pictures/wall/<xsl:value-of select="$IndexBackground"/>");
	document.styleSheets[1].cssRules[0].style.visibility="hidden"
	document.styleSheets[1].cssRules[1].style.visibility="hidden"
	document.styleSheets[1].cssRules[3].style.visibility="hidden"
	document.styleSheets[1].cssRules[4].style.visibility="hidden"
	
	document.getElementById('tv_index').setAttribute("class","visible");
	
	if (iEpisodesLength <![CDATA[<=]]> iEpisodesPerPage){iLoop = iEpisodesLength;}
		for (var i = 1; i <![CDATA[<=]]> iLoop; i++)
		{
		document.styleSheets[3].cssRules[(i-1)*5+1].style.visibility="visible"
		document.styleSheets[3].cssRules[(i-1)*5+2].style.visibility="visible"
		document.styleSheets[3].cssRules[(i-1)*5+3].style.visibility="visible"
		document.styleSheets[3].cssRules[(i-1)*5+4].style.visibility="visible"
		
		if (asEpisodeWatched[i] != 'pictures/1x1.png') {document.getElementById('frmDVD'+i).setAttribute("src",'pictures/special/tv-index-watched.png');}
		}
		
	//togglePage(0);
	
	iActiveItem = iEpisodeId-(iPage-1)*25;
	iPage = 1;
	checkPage();
	showEpisode (iActiveItem);
	
	}
	else
	{
	hide (lastPos);
	fDetail = true;
	iEpisodeId = lastPos + (iPage-1)*25;
	//document.getElementById('play').setAttribute("onclick",'');
	
	document.getElementById('tv_index').setAttribute("class","hidden");
	
	if (iEpisodesLength <![CDATA[<=]]> iEpisodesPerPage){iLoop = iEpisodesLength;}
	for (var i = 1; i <![CDATA[<=]]> iLoop; i++)
		{
		document.styleSheets[3].cssRules[(i-1)*5].style.visibility="hidden"
		document.styleSheets[3].cssRules[(i-1)*5+1].style.visibility="hidden"
		document.styleSheets[3].cssRules[(i-1)*5+2].style.visibility="hidden"
		document.styleSheets[3].cssRules[(i-1)*5+3].style.visibility="hidden"
		document.styleSheets[3].cssRules[(i-1)*5+4].style.visibility="hidden"
		}
	
	document.getElementById('detailPage').setAttribute("background","<xsl:if test="fanartFile!='UNKNOWN'"><xsl:value-of select="fanartFile"/></xsl:if><xsl:if test="fanartFile='UNKNOWN'">pictures/detail/dummy_fanart.jpg</xsl:if>");
	document.getElementById('tv_detail').setAttribute("class","visible");
	document.getElementById('play').focus();
	document.styleSheets[1].cssRules[0].style.visibility="visible"
	document.styleSheets[1].cssRules[1].style.visibility="visible"
	document.styleSheets[1].cssRules[3].style.visibility="visible"
	document.styleSheets[1].cssRules[4].style.visibility="visible"
	
	//iEpisodeId = iActiveItem + (iPage-1)*25;
	showEpisode(iEpisodeId);
	
	
	}
},

togglePage = function (x)
{
	if (iEpPages <![CDATA[>]]> 1)
	{
	iPage = iPage + x;
	if (iPage <![CDATA[>]]> iEpPages)
	{
	iPage = 1;
	}
	if (iPage <![CDATA[<]]> 1)
	{
	iPage = iEpPages;
	}
	for (var i = 1; i <![CDATA[<=]]> iLoop; i++)
		{
		
		if ((i+((iPage-1)*iLoop)) <![CDATA[>]]> iEpisodesLength)
		{
		document.styleSheets[3].cssRules[(i-1)*5].style.visibility="hidden"
		document.styleSheets[3].cssRules[(i-1)*5+1].style.visibility="hidden"
		document.styleSheets[3].cssRules[(i-1)*5+2].style.visibility="hidden"
		document.styleSheets[3].cssRules[(i-1)*5+3].style.visibility="hidden"
		document.styleSheets[3].cssRules[(i-1)*5+4].style.visibility="hidden"
		}
		else
		{
		helpx = (i+((iPage-1)*iLoop));
		
		document.getElementById('imgDVD'+i).setAttribute("src",asEpisodeImage[helpx]);
		if (asEpisodeTitle[helpx].length <![CDATA[>]]> 22)
		{
			document.getElementById('titleDVD'+i).firstChild.nodeValue = asEpisodeNo[helpx]+ ': ' + asEpisodeTitle[helpx].substring(0,20)+'...'
		}
		else
		{
			document.getElementById('titleDVD'+i).firstChild.nodeValue = asEpisodeNo[helpx]+ ': ' + asEpisodeTitle[helpx];
		}
		if (asEpisodeWatched[helpx] != 'pictures/1x1.png') 
		{
			document.getElementById('frmDVD'+i).setAttribute("src",'pictures/special/tv-index-watched.png');
		}
		else
		{
		document.getElementById('frmDVD'+i).setAttribute("src",'pictures/special/tv-index-frame.png');
		}
		document.styleSheets[3].cssRules[(i-1)*5+1].style.visibility="visible"
		document.styleSheets[3].cssRules[(i-1)*5+2].style.visibility="visible"
		document.styleSheets[3].cssRules[(i-1)*5+3].style.visibility="visible"
		document.styleSheets[3].cssRules[(i-1)*5+4].style.visibility="visible"
		}
		}
	document.getElementById('page').firstChild.nodeValue = iPage +' / <xsl:value-of select="ceiling(count(files/file/filePlot) div 25)"/>';
	}
},


setFocus = function (id)
{
  document.getElementById(id).focus();
},

show = function (x)
{
hide(lastPos);

document.styleSheets[3].cssRules[(x-1)*5].style.visibility="visible"
lastPos = x;
},


hide = function (x)
{
if (x <![CDATA[<]]> 26 <![CDATA[&&]]> x <![CDATA[>]]> 0) 
{
document.styleSheets[3].cssRules[(x-1)*5].style.visibility="hidden"
}
lastPos = x;
},

showNfocus = function ()
{
	document.getElementById('play').focus();
	showEpisode (iEpisodeId);
	if (!fDetail) {show (iActiveItem);}
};
				</xsl:comment>
		</script>
	</xsl:template>
	<!-- GT MOD TV SHOWS JS-->
	
	<!-- GT MOD TV SHOWS LISTMODE JS-->
<xsl:template name="get-gttvlist-js">
	<script type="text/javascript">
		<xsl:comment>
		// series config vars

var iPage = 1;
var iEpPages = <xsl:value-of select="ceiling(count(files/file/filePlot) div 15)"/>;
var iEpisodeId = 1;
var iEpisodesPerPage = 15;
var iLoop = iEpisodesPerPage;
var fFirstCall = false;
var focusId = ' ';
var helpx = 0;
var helpy = 0;
var fShowSeasonInfo = false;
var fmorePages = false;
var iEpisodesLength = <xsl:value-of select="count(files/file/filePlot)"/>;
var url = false;
var Eid = 'play';
var Evod = 'vod';
var x = 0;
var rRand = 1;
var fDetail = false;
var lastPos = 1;
var fPlaylist = <xsl:value-of select="$TVPlaylist"/>;
var iActiveItem = 1;
var iLastItem = 1;

//##########################################################
//## Functions Series ######################################
//##########################################################

var setVOD = function (Eid,Evod)
{

	document.getElementById(Eid).removeAttribute('vod');
	document.getElementById(Eid).removeAttribute('zcd');

	if (Evod == 'playlist') 
	{
	var Attribute = document.createAttribute("vod");
	Attribute.nodeValue = "playlist";
	document.getElementById(Eid).setAttributeNode(Attribute);

	}
	else if (Evod == 'zcd')
	{
	var Attribute = document.createAttribute("zcd");
	Attribute.nodeValue = "2";
	document.getElementById(Eid).setAttributeNode(Attribute);
		
	}
	else if (Evod == 'vod')
	{
	var Attribute = document.createAttribute("vod");
	Attribute.nodeValue = "";
	document.getElementById(Eid).setAttributeNode(Attribute);
	}
},

showEpisode = function(x)
{
	iEpisodeId = x;
	iActiveItem = iEpisodeId-(iPage-1)*15; 
	//helpy = x;
	url = asEpisodeUrl[x];
	if (!fDetail) 
	{
	document.getElementById('titleEp'+iLastItem).removeAttribute('class');
    document.getElementById('titleEp'+iLastItem).setAttribute('class', 'EpLink');
	document.getElementById('titleEp'+iActiveItem).removeAttribute('class');
    document.getElementById('titleEp'+iActiveItem).setAttribute('class', 'EpLinkActiv');
	iLastItem = iActiveItem;
	}
	
	if (asEpisodeTitle[iEpisodeId].length <![CDATA[<]]> 25)
	{
	document.getElementById('episodeName').setAttribute("class","tvtt");
    }
	else
	{
		document.getElementById('episodeName').setAttribute("class","tvtt_small");
		if (asEpisodeTitle[iEpisodeId].length <![CDATA[>]]> 60)
		{
		asEpisodeTitle[iEpisodeId]=asEpisodeTitle[iEpisodeId].substring(0,58)+'...';
		}
	}
	document.getElementById('episodeName').firstChild.nodeValue = asEpisodeNo[iEpisodeId]+ ': ' + asEpisodeTitle[iEpisodeId];
	document.getElementById('episodeId').firstChild.nodeValue = asEpisodePlot[iEpisodeId];
	document.getElementById('EpisodeImg').setAttribute("src",asEpisodeImage[iEpisodeId]);
	document.getElementById('EpisodeWatched').setAttribute("src",asEpisodeWatched[iEpisodeId]);
	
	document.getElementById('directplay').setAttribute("href",url);
	setVOD ('directplay', asEpisodeVod[iEpisodeId]);
	if (fPlaylist) 
	{
	document.getElementById('play').setAttribute("href",asEpisodePlaylist[iEpisodeId]);
	setVOD ('play', 'playlist');
	}
	else
	{
	document.getElementById('play').setAttribute("href",asEpisodeUrl[iEpisodeId]);
	setVOD ('play', asEpisodeVod[iEpisodeId]);
	}
	

	<xsl:if test="$tv-random-episode='true'">
	var time = new Date();
    var second = time.getSeconds();
 	
	rRand = rRand + second;
	rRand = 1 + rRand - iEpisodesLength*(Math.floor(rRand/iEpisodesLength));
	var rEp = rRand;
	setVOD ('randomplay', asEpisodeVod[rEp]);
	var rUrl= asEpisodeUrl[rEp];
	document.getElementById('randomplay').setAttribute("href",rUrl);
	
	</xsl:if>
},

changeEpisode = function (x)
{
	if (iEpPages == 1 <![CDATA[&&]]> x == 15) {x=1;}
	if (iEpPages == 1 <![CDATA[&&]]> x == -15) {x=-1;}
	iEpisodeId = iEpisodeId + x;
	if (iEpisodeId <![CDATA[<=]]> 0) 
		{
			iEpisodeId = 1;
		}
	if (iEpisodeId <![CDATA[>]]> iEpisodesLength) 
		{
			iEpisodeId = iEpisodesLength;
		}
	if (!fDetail) {checkPage();}
	showEpisode (iEpisodeId);
},

checkPage = function()
{
	var iActivePage = 1+(Math.floor((iEpisodeId-1)/iEpisodesPerPage));
	
	if (iActivePage  <![CDATA[!=]]> iPage) 
	{
		togglePage(iActivePage);
	}
	
},
toggleDetail = function ()
{
	if (fDetail)
	{
	fDetail = false;
	document.getElementById('TabInfo').setAttribute("class","hidden");
	togglePage(iPage);
	showEpisode (iEpisodeId);
	
	}
	else
	{
	fDetail = true;	
	if (iEpisodesLength <![CDATA[<=]]> iEpisodesPerPage){iLoop = iEpisodesLength;}
	for (var i = 1; i <![CDATA[<=]]> iLoop; i++)
		{
		//document.getElementById('titleEp'+i).removeAttribute('class');
		//document.getElementById('titleEp'+i).setAttribute('class', 'hidden');
		document.getElementById('titleEp'+i).firstChild.nodeValue = '&#160;';
		}
	if (iEpPages <![CDATA[>]]> 1) {document.getElementById('EpPage').firstChild.nodeValue = '&#160;';}
	document.getElementById('TabInfo').setAttribute("class","visible");
	//showEpisode(iEpisodeId);
	
	}
},

togglePage = function (x)
{
	iPage = x;
	
	for (var i = 1; i <![CDATA[<=]]> iLoop; i++)
		{
			var ihelp = i + (iPage-1)*iEpisodesPerPage;
			var iEpisodeNo = asEpisodeNo[ihelp];
			
			if (ihelp <![CDATA[>]]> iEpisodesLength)
			{
				document.getElementById('titleEp'+i).firstChild.nodeValue = '&#160;';
			}
			else
			{
				
				if (iEpisodeNo.length <![CDATA[<]]> 2)
				{
					iEpisodeNo = '0' + iEpisodeNo; 
				}
				if (asEpisodeTitle[ihelp].length <![CDATA[>]]> 22)
				{
					document.getElementById('titleEp'+i).firstChild.nodeValue = iEpisodeNo + '. ' + asEpisodeTitle[ihelp].substring(0,20)+'...';
				}
				else
				{
					document.getElementById('titleEp'+i).firstChild.nodeValue = iEpisodeNo + '. ' + asEpisodeTitle[ihelp];
				}
			}
		}
	if (iEpPages <![CDATA[>]]> 1) {document.getElementById('EpPage').firstChild.nodeValue = iPage +' / <xsl:value-of select="ceiling(count(files/file/filePlot) div 15)"/>';}
	
},


setFocus = function (id)
{
  document.getElementById(id).focus();
},

show = function (x)
{
hide(lastPos);

document.styleSheets[3].cssRules[(x-1)*5].style.visibility="visible"
lastPos = x;
},


hide = function (x)
{
if (x <![CDATA[<]]> 26 <![CDATA[&&]]> x <![CDATA[>]]> 0) 
{
document.styleSheets[3].cssRules[(x-1)*5].style.visibility="hidden"
}
lastPos = x;
},

showNfocus = function ()
{
	document.getElementById('play').focus();
	showEpisode (iEpisodeId);
	if (!fDetail) {show (iActiveItem);}
};
				</xsl:comment>
		</script>
	</xsl:template>

	<!-- ENDE GT MOD TV SHOWS LISTMODE JS-->
	
	<xsl:template name="get-gtlowlist-js">
	<script type="text/javascript">
		<xsl:comment>
		// series config vars
		var iPage = 1;
		var iPageMax = asPlotPart.length - 1;
		var iWatch = 0;
		var iWatchMax = asWatchbar.length - 1;
		var helpx = ' ';
		var helpy = new Array('0');
		var asFile = new Array('0');
		var imgId= ' ';
		var imgChangeOn = ' ';
		var imgChangeOff = ' ';
		var imgPrefix = 'pictures/gtmod/';
		var x = 0;
		var fLowlist =true;

clickLeft = function ()
{
if (iWatchMax != 0)
{
imgId = 'img' + asWatchbar[iWatch];
imgChangeOff = imgPrefix + imgId + 'off.png';
document.getElementById(imgId).setAttribute("src",imgChangeOff);
if (iWatch == 0) {iWatch = iWatchMax;}
else {iWatch = iWatch - 1;}
imgId = 'img' + asWatchbar[iWatch];
imgChangeOn = imgPrefix + imgId + 'on.png';
document.getElementById(imgId).setAttribute("src",imgChangeOn);
iPage = 1;
showPage();
}
},

clickRight = function ()
{
if (iWatchMax != 0)
{
imgId = 'img' + asWatchbar[iWatch];
imgChangeOff = imgPrefix + imgId + 'off.png';
document.getElementById(imgId).setAttribute("src",imgChangeOff);
if (iWatch == iWatchMax) {iWatch = 0;}
else {iWatch = iWatch + 1;}
imgId = 'img' + asWatchbar[iWatch];
imgChangeOn = imgPrefix + imgId + 'on.png';
document.getElementById(imgId).setAttribute("src",imgChangeOn);
iPage = 1;
showPage();
}
},

showPage = function()
{
helpx = asWatchbar [iWatch];
if (helpx == 'Plot')
	{
	iPageMax = asPlotPart.length - 1;
	helpy[0] = asPlotPart[iPage];
	asFile = sFileURL.split(",");
	helpy[1] = asFile[0];
	helpy[2] = asFile[1];
	}
else if (helpx == 'Bonus')
	{
	iPageMax = asBonus.length - 1;
	helpy = asBonus[iPage].split(",");

	}
else if (helpx == 'Extra')
	{
	iPageMax = asExtra.length - 1;
	helpy = asExtra[iPage].split(",");

	}
else if (helpx == 'Trailer')
	{
	iPageMax = asTrailer.length - 1;
	helpy = asTrailer[iPage].split(",");

	}
else if (helpx == 'Multi')
	{
	iPageMax = asMultiPart.length - 1;
	helpy = asMultiPart[iPage].split(",");

	}
else if (helpx == 'Index')
	{
	iPageMax = asIndex.length - 1;
	helpy = asIndex[iPage].split(",");

	}

document.getElementById('play').removeAttribute('vod');
document.getElementById('play').removeAttribute('zcd');

if (helpy[2] == 'playlist') 
	{
	var newAttribute = document.createAttribute("vod");
	newAttribute.nodeValue = "playlist";
	document.getElementById('play').setAttributeNode(newAttribute);

	}
	else if (helpy[2] == 'zcd')
	{
	var newAttribute = document.createAttribute("zcd");
	newAttribute.nodeValue = "2";
	document.getElementById('play').setAttributeNode(newAttribute);
		
	}
	else if (helpy[2] == 'vod')
	{
	var newAttribute = document.createAttribute("vod");
	newAttribute.nodeValue = "";
	document.getElementById('play').setAttributeNode(newAttribute);
	}
	
document.getElementById('gtPlot').firstChild.nodeValue = helpy[0];
document.getElementById('pages').firstChild.nodeValue = ' '+ iPage + ' / ' + iPageMax + ' ';
document.getElementById('play').setAttribute("href",helpy[1]);
},

pageDown = function()
{
if (iPageMax != 1)
{
if (iPage == iPageMax) {iPage = 1;}
else {iPage = iPage + 1;}
showPage();
}
},

pageUp = function()
{
if (iPageMax != 1)
{
if (iPage == 1)
{
iPage = iPageMax;
}
else 
{
iPage = iPage - 1;
}
showPage();
}
},
toggleWatchbar = function()
{
	if (fWatch == false) 
	{
	document.getElementById('watchbar').setAttribute("class","");
	fWatch = true;
	}
	else 
	{
	document.getElementById('watchbar').setAttribute("class","hidden");
	fWatch = false;
	}
},

setParams = function(destination) 
// pass the sort option and the now value to the help screen
{
var test5=decodeURIComponent(destination);
location.assign(test5);
}

getParams = function()
{    
   var params = location.search.substring(1);
   
   var temp = params.split(',');
   if (temp[0] == 1) 
	{
	var goback= temp[2];
	var destination = escape(goback)+".html?1,"+temp[1].toString()+","+temp[3].toString()+","+temp[4];
	var test5 = decodeURIComponent(destination);
	location.assign(test5);
	}
   else {
	//document.getElementById('backbutton').setAttribute("href","javascript:history.back();");
	//document.getElementById('backbutton').removeAttribute('onclick');
	window.history.back();
	}
};



		
		</xsl:comment>
		</script>
	</xsl:template>
	
	
	<xsl:template name="split-plot">
	<xsl:param name="sPlot" />
	<xsl:param name="iMaxChars" />
		<xsl:choose>
	<xsl:when test="string-length($sPlot)  &lt; number($iMaxChars)+1">
	<script type="text/javascript">
		<xsl:comment>
		asPlotPart.push("<xsl:value-of select="$sPlot"/>");
		</xsl:comment>
		</script>
	</xsl:when>
	<xsl:otherwise>
		<xsl:variable name="sPart" >
		<xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="$sPlot"/> 
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="$iMaxChars" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
            	  	</xsl:call-template>
					</xsl:variable>
	<script type="text/javascript">
		<xsl:comment>
		asPlotPart.push("<xsl:value-of select="$sPart"/>");
		</xsl:comment>
		</script>
		
		<xsl:call-template name="split-plot">
		<xsl:with-param name="sPlot" select="substring($sPlot,string-length($sPart)-1)"/>
		<xsl:with-param name="iMaxChars" select="$iMaxChars"/>
		</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	</xsl:template>
	
	<xsl:template name="get-episode-infos">
		<xsl:variable name="teiler" select="if ((round((count(/details/movie/files/file)+4) div 10)) &gt; 1) then (round((count(/details/movie/files/file)+4) div 10)+1) else 2" />
		
		<xsl:for-each select="files/file[position() &lt; $teiler]">

			<xsl:call-template name="setEpisodeArrays">
			 <xsl:with-param name="count" select="position()" />
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>


	<xsl:template name="setEpisodeArrays">
		<xsl:param name="count" />
		<xsl:variable name="max" select="$count * 10 +1" />
		<xsl:variable name="min" select="$max - 11" />
		<xsl:variable name="position" select="$count * 10 +1" />

<xsl:for-each select="/details/movie/files/file[position()&gt;$min and position()&lt;$max]">
		
		<xsl:variable name="watched"><xsl:choose><xsl:when test="watchedDate != ''">pictures/special/tv_watched.png</xsl:when><xsl:otherwise>pictures/1x1.png</xsl:otherwise></xsl:choose></xsl:variable>
		
		<xsl:variable name="parsedTitle" select="tokenize(@title,' / ')"/>

    <xsl:variable name="url2">
      <xsl:call-template name="substring-after-last">
        <xsl:with-param name="string" select="fileURL" />
        <xsl:with-param name="delimiter" select="$filePath" />
      </xsl:call-template>
    </xsl:variable>
	
	<xsl:variable name="url"><xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="fileURL"/><xsl:with-param name="search-string">\</xsl:with-param><xsl:with-param name="replace-string">\\</xsl:with-param></xsl:call-template></xsl:variable>
	<xsl:variable name="epVod">
		<xsl:if test="@vod and @vod='playlist'">playlist</xsl:if>
		<xsl:if test="@vod and @vod!='playlist'">vod</xsl:if>
		<xsl:if test="@zcd">zcd</xsl:if>
		<xsl:if test="@rar">rar</xsl:if>
		</xsl:variable>  
	        <xsl:variable name="sPlayUrl">
        <xsl:choose>
          <xsl:when test="//movie/container = 'RAR' or substring(fileURL,string-length(fileURL)-3,4) = '.RAR' or substring(fileURL,string-length(fileURL)-3,4) = '.rar'">
            <xsl:value-of select="concat(fileURL,'?playall=1')" />
          </xsl:when>
          <xsl:when test="//movie/container = 'VOB' or substring(fileURL,string-length(fileURL)-3,4) = '.VOB' or substring(fileURL,string-length(fileURL)-3,4) = '.vob' or //movie/container = 'ISO' or substring(fileURL,string-length(fileURL)-3,4) = '.ISO' or substring(fileURL,string-length(fileURL)-3,4) = '.iso' or //movie/container = 'IMG' or substring(fileURL,string-length(fileURL)-3,4) = '.IMG' or substring(fileURL,string-length(fileURL)-3,4) = '.img' or //movie/container = 'MDF' or substring(fileURL,string-length(fileURL)-3,4) = '.MDF' or substring(fileURL,string-length(fileURL)-3,4) = '.mdf' or //movie/container = 'NRG' or substring(fileURL,string-length(fileURL)-3,4) = '.NRG' or substring(fileURL,string-length(fileURL)-3,4) = '.nrg' or //movie/container = 'BIN' or substring(fileURL,string-length(fileURL)-3,4) = '.BIN' or substring(fileURL,string-length(fileURL)-3,4) = '.bin' or //movie/container = 'VIDEO_TS' or substring(fileURL,string-length(fileURL)-7,8) = 'VIDEO_TS' or substring(fileURL,string-length(fileURL)-7,8) = 'video_ts'">
            <xsl:value-of select="fileURL" />
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="concat(concat(concat(/details/movie/baseFilename,'.playlist'),@firstPart),'.jsp')" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
	  
	   	<xsl:for-each select="filePlot">
        <xsl:variable name="pass" select="position()" />
        <xsl:variable name="shortTitle">
    	  	<xsl:choose>
				<xsl:when test="string-length($parsedTitle[$pass]) &lt; number($tTitleTrunca)+2">
					<xsl:value-of select="$parsedTitle[$pass]"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="substring($parsedTitle[$pass],1,$tTitleTrunca)"/>...</xsl:otherwise>
			</xsl:choose>
    		</xsl:variable>
		
		
		
		    <xsl:variable name="plot" select="."/>
			
		    <xsl:variable name="TitleProcessed">
		    <xsl:call-template name="search-and-replace">
					 <xsl:with-param name="input"><xsl:if test="$parsedTitle[$pass] != '' and $parsedTitle[$pass] !='UNKNOWN'"><xsl:value-of select="$parsedTitle[$pass]" /></xsl:if>
					 </xsl:with-param>
					 <xsl:with-param name="search-string">"</xsl:with-param>
					 <xsl:with-param name="replace-string">\"</xsl:with-param>
					</xsl:call-template>

					<!--<xsl:if test="../@lastPart &gt; ../@firstPart"> (e<xsl:value-of select="../@firstPart" />)</xsl:if>-->
		   	</xsl:variable>

		    <xsl:variable name="PlotProcessed">
		    	<xsl:variable name="tempPlot">

			     <xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="translate(.,'&#xA;','')"/>
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="400" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
							<xsl:with-param name="trailing_string">...</xsl:with-param >
            	  	</xsl:call-template>
					
			   <xsl:if test="$plot = '' or $plot = 'UNKNOWN'">
			      <xsl:text>Plot unavailable.</xsl:text>
			     </xsl:if>
		     </xsl:variable>
		     <xsl:call-template name="search-and-replace">
					 <xsl:with-param name="input">
					  <xsl:value-of select="$tempPlot"/>
					 </xsl:with-param>
					 <xsl:with-param name="search-string">"</xsl:with-param>
					 <xsl:with-param name="replace-string">\"</xsl:with-param>
					</xsl:call-template>
		   	</xsl:variable>
		   	
			<script type="text/javascript">
			<xsl:comment>
			
			asEpisodeTitle.push("<xsl:value-of select="$TitleProcessed"/>");
		   	asEpisodePlot.push("<xsl:choose><xsl:when test="string-length($PlotProcessed)&lt;470"><xsl:value-of select="translate($PlotProcessed,'&#xA;','')"/></xsl:when><xsl:otherwise><xsl:value-of select="substring((translate($PlotProcessed,'&#xA;','')),1,470)"/>...</xsl:otherwise></xsl:choose>");
		   	asEpisodeUrl.push("<xsl:value-of select="$url" />");
			asEpisodeVod.push("<xsl:value-of select="$epVod" />");
			asEpisodePlaylist.push("<xsl:value-of select="$sPlayUrl" />");
		   	asEpisodeNo.push("<xsl:value-of select="@part" />");
		   	asEpisodeTitleShort.push("<xsl:value-of select="translate($shortTitle,'&#32;','&#160;')" />");
			asEpisodeWatched.push("<xsl:value-of select="$watched" />");
			
			</xsl:comment>
			</script>
		
	   	</xsl:for-each>
		<script type="text/javascript">
			<xsl:comment>
		
	   	<!-- Add the TV-Show images to the data array -->
	   	<xsl:if test="$mjb.includeVideoImages='true'">
	   		<xsl:for-each select="fileImageFile">
	   		  <xsl:variable name="iPart" select="@part"/>
	   		  <xsl:variable name="sImage">
			      <xsl:choose>
			        <xsl:when test="/details/movie/files/file/fileImageURL[@part=$iPart]!='UNKNOWN'"><xsl:value-of select="."/></xsl:when>
			        <xsl:otherwise>pictures/detail/dummy_videoimage.jpg</xsl:otherwise>
			      </xsl:choose>
			    </xsl:variable>
	    	
			asEpisodeImage.push("<xsl:value-of select="$sImage"/>");
			  </xsl:for-each>
	   	</xsl:if>
		
		</xsl:comment>
		</script>
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="substring-before-last">
		<xsl:param name="string" />
		<xsl:param name="delimiter" />
		<xsl:if test="$delimiter and contains($string, $delimiter)">
			<xsl:variable name="temp" select="substring-after($string, $delimiter)" />
			<xsl:value-of select="substring-before($string, $delimiter)" />
			<xsl:if test="contains($temp, $delimiter)">
				<xsl:value-of select="$delimiter" />
				<xsl:call-template name="substring-before-last">
					<xsl:with-param name="string" select="$temp" />
					<xsl:with-param name="delimiter" select="$delimiter" />
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:template name="substring-after-last">
		<xsl:param name="string" />
		<xsl:param name="delimiter" />
		<xsl:choose>
			<xsl:when test="contains($string, $delimiter)">
				<xsl:call-template name="substring-after-last">
					<xsl:with-param name="string" select="substring-after($string, $delimiter)" />
					<xsl:with-param name="delimiter" select="$delimiter" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$string" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="plot">
		<xsl:param name="string" />
		<xsl:param name="delimiter" />
		<xsl:choose>
			<xsl:when test="contains($string, $delimiter)">
				<xsl:call-template name="plot">
					<xsl:with-param name="string" select="substring-before($string,$delimiter)" />
					<xsl:with-param name="delimiter" select="$delimiter" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$string" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="search-and-replace">
		<xsl:param name="input" />
		<xsl:param name="search-string" />
		<xsl:param name="replace-string" />
		<xsl:choose>
			<xsl:when test="$search-string and contains($input, $search-string)">
				<xsl:value-of select="substring-before($input,$search-string)" />
				<xsl:value-of select="$replace-string" />
				<xsl:call-template name="search-and-replace">
					<xsl:with-param name="input" select="substring-after($input,$search-string)" />
					<xsl:with-param name="search-string" select="$search-string" />
					<xsl:with-param name="replace-string" select="$replace-string" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$input" /></xsl:otherwise>
		</xsl:choose>
	</xsl:template>



	<xsl:template name="trailers">
		<!-- Begin Trailers TV -->
		<xsl:if test="count(extras) != 0 and /details/movie/season = -1">
		  <xsl:for-each select="extras/extra">
			  <xsl:if test="position() &lt; 5">
			  <xsl:variable name="tempI"><xsl:if test="$noPrefix.onlyOne = 'true' and count(/details/movie/files/file) &gt; '1' and $multipartmoviehandling = 'classic'"><xsl:value-of select="$trailer.tvid.prefix" /></xsl:if><xsl:value-of select="position()" /></xsl:variable>
			  <div>
			  <xsl:attribute name="class">tabTrailer abs text infoHeadLeft line<xsl:value-of select="position()" /></xsl:attribute>
			  <a>
					<xsl:attribute name="href"><xsl:value-of select="." /></xsl:attribute>
					<!-- 2009-04-17: get Link Attribute by template -->
          <xsl:call-template name="getPlayAttr">
           <xsl:with-param name="fUrl" select="." />
          </xsl:call-template>
					<xsl:attribute name="TVID" select="$tempI"/>
					<xsl:if test="position() = 1">
					<xsl:attribute name="onkeyupset">trailer</xsl:attribute>
					<xsl:attribute name="name">firstTrailer</xsl:attribute>
					</xsl:if>
					<xsl:if test="position() = count(/details/movie/extras/extra) or position() = 4 ">
					<xsl:attribute name="onkeydownset">lastTrailer</xsl:attribute>
					</xsl:if>

					<xsl:value-of select="@title"/> (<xsl:value-of  select="$tempI"/>)

					</a>
					</div>
			  </xsl:if>
				</xsl:for-each>
				<a href="#" onfocusset="firstTrailer" name="lastTrailer"></a>
		</xsl:if>
		<!-- End Trailers TV -->
	</xsl:template>

  <xsl:template name="navigation">
  <!-- Begin Navigation Movie -->
		<xsl:choose>
			<xsl:when test="season = -1">
				<!--Movies-->

				<a class="link">
          <xsl:if test="count(files/file) = '1'">
           <xsl:attribute name="href"><xsl:value-of select="//files/file/fileURL" /></xsl:attribute>
            <!-- 2009-04-17: get Link Attribute by template -->
            <xsl:call-template name="getPlayAttr">
              <xsl:with-param name="fUrl" select="files/file/fileURL" />
            </xsl:call-template>
            <xsl:attribute name="onkeyrightset">red</xsl:attribute>
          </xsl:if>
          <xsl:attribute name="onkeydownset">pagePlayDown</xsl:attribute>
          <xsl:attribute name="onkeyupset">pagePlayUp</xsl:attribute>
          <xsl:attribute name="onfocus">fPlay=true;changePgLink();</xsl:attribute>
          <xsl:attribute name="onblur">fPlay=false;changePgLink();</xsl:attribute>
          <xsl:if test="count(files/file) != '1'">
           <xsl:attribute name="href"><xsl:value-of select="concat(/details/movie/baseFilename,'.playlist.jsp')" /></xsl:attribute>
           <xsl:attribute name="vod">playlist</xsl:attribute>
          </xsl:if>
          <xsl:attribute name="TVID">Play</xsl:attribute>
          <xsl:attribute name="name">Play</xsl:attribute>
          <xsl:if test="//movie/prebuf != '-1'">
           <xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
          </xsl:if>
          <img src="pictures/tab_play.png" id="tabPlayImg" onfocussrc="pictures/tab_play_f2.png" onmouseover="this.src='pictures/tab_play_f2.png'" onmouseout="this.src='pictures/tab_play.png'" />
         </a>
			</xsl:when>
			<xsl:otherwise>
			  <a>
          <xsl:if test="count(files/file) != '1'">
            <xsl:attribute name="href"><xsl:value-of select="concat(/details/movie/baseFilename,'.playlist.jsp')" /></xsl:attribute>
            <xsl:attribute name="vod">playlist</xsl:attribute>
          </xsl:if>
          <xsl:if test="count(files/file) = '1'">
            <xsl:attribute name="href"><xsl:value-of select="/details/movie/files/file/fileURL"/></xsl:attribute>
            <xsl:call-template name="getPlayAttr">
              <xsl:with-param name="fUrl" select="/details/movie/files/file/fileURL" />
            </xsl:call-template>
          </xsl:if>
          <xsl:attribute name="id">playlist</xsl:attribute>
          <xsl:attribute name="name">Play</xsl:attribute>
          <img src="pictures/tab_play.png" id="tabPlayImg" onfocussrc="pictures/tab_play_f2.png" onmouseover="this.src='pictures/tab_play_f2.png'" onmouseout="this.src='pictures/tab_play.png'" />
        </a>
			</xsl:otherwise>


		</xsl:choose>
    <!-- END Navigation Movie -->

	</xsl:template>

	<xsl:template name="getEpisodeList">
		<xsl:param name="position" />
		 <!-- <xsl:variable name="URL" select="../fileURL" />-->
		   	<xsl:variable name="epNum" select="count(/details/movie/files/file/filePlot)" />

<xsl:variable name="URL">
	<xsl:choose>
		<xsl:when test="$TVPlaylist='false'">
			<xsl:choose>
				<xsl:when test="//movie/container = 'RAR' or substring(../fileURL,string-length(../fileURL)-3,4) = '.RAR' or substring(../fileURL,string-length(../fileURL)-3,4) = '.rar'">
					<xsl:value-of select="concat(../fileURL,'?playall=1')" />
				</xsl:when>
				<!--<xsl:when test="substring(//files/file/fileURL,string-length(//files/file/fileURL)-9,10) = 'part01.rar' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-9,10) = 'PART01.RAR' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-10,11) = 'part001.rar' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-10,11) = 'PART001.RAR'">
				
				</xsl:when>--><!-- futureproof: when multipart episodes get fixed -->
				<xsl:when test="//movie/container = 'VOB' or substring(../fileURL,string-length(../fileURL)-3,4) = '.VOB' or substring(../fileURL,string-length(../fileURL)-3,4) = '.vob' or //movie/container = 'ISO' or substring(../fileURL,string-length(../fileURL)-3,4) = '.ISO' or substring(../fileURL,string-length(../fileURL)-3,4) = '.iso' or //movie/container = 'IMG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.IMG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.img' or //movie/container = 'MDF' or substring(../fileURL,string-length(../fileURL)-3,4) = '.MDF' or substring(../fileURL,string-length(../fileURL)-3,4) = '.mdf' or //movie/container = 'NRG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.NRG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.nrg' or //movie/container = 'BIN' or substring(../fileURL,string-length(../fileURL)-3,4) = '.BIN' or substring(../fileURL,string-length(../fileURL)-3,4) = '.bin' or //movie/container = 'VIDEO_TS' or substring(../fileURL,string-length(../fileURL)-7,8) = 'VIDEO_TS' or substring(../fileURL,string-length(../fileURL)-7,8) = 'video_ts'">
					<xsl:value-of select="../fileURL" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="../fileURL" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>

		<xsl:when test="$TVPlaylist='true' and $epNum!='1'">
			<xsl:choose>
				<xsl:when test="//movie/container = 'RAR' or substring(../fileURL,string-length(../fileURL)-3,4) = '.RAR' or substring(../fileURL,string-length(../fileURL)-3,4) = '.rar'">
					<xsl:value-of select="concat(../fileURL,'?playall=1')" />
				</xsl:when>
				<xsl:when test="//movie/container = 'VOB' or substring(../fileURL,string-length(../fileURL)-3,4) = '.VOB' or substring(../fileURL,string-length(../fileURL)-3,4) = '.vob' or //movie/container = 'ISO' or substring(../fileURL,string-length(../fileURL)-3,4) = '.ISO' or substring(../fileURL,string-length(../fileURL)-3,4) = '.iso' or //movie/container = 'IMG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.IMG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.img' or //movie/container = 'MDF' or substring(../fileURL,string-length(../fileURL)-3,4) = '.MDF' or substring(../fileURL,string-length(../fileURL)-3,4) = '.mdf' or //movie/container = 'NRG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.NRG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.nrg' or //movie/container = 'BIN' or substring(../fileURL,string-length(../fileURL)-3,4) = '.BIN' or substring(../fileURL,string-length(../fileURL)-3,4) = '.bin' or //movie/container = 'VIDEO_TS' or substring(../fileURL,string-length(../fileURL)-7,8) = 'VIDEO_TS' or substring(../fileURL,string-length(../fileURL)-7,8) = 'video_ts'">
					<xsl:value-of select="../fileURL" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat(concat(concat(../../../baseFilename,'.playlist'),../@firstPart),'.jsp')" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>

		<xsl:when test="$TVPlaylist='true' and $epNum='1'">
			<xsl:choose>
				<xsl:when test="//movie/container = 'RAR' or substring(../fileURL,string-length(../fileURL)-3,4) = '.RAR' or substring(../fileURL,string-length(../fileURL)-3,4) = '.rar'">
					<xsl:value-of select="concat(../fileURL,'?playall=1')" />
				</xsl:when>
				<xsl:when test="//movie/container = 'VOB' or substring(../fileURL,string-length(../fileURL)-3,4) = '.VOB' or substring(../fileURL,string-length(../fileURL)-3,4) = '.vob' or //movie/container = 'ISO' or substring(../fileURL,string-length(../fileURL)-3,4) = '.ISO' or substring(../fileURL,string-length(../fileURL)-3,4) = '.iso' or //movie/container = 'IMG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.IMG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.img' or //movie/container = 'MDF' or substring(../fileURL,string-length(../fileURL)-3,4) = '.MDF' or substring(../fileURL,string-length(../fileURL)-3,4) = '.mdf' or //movie/container = 'NRG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.NRG' or substring(../fileURL,string-length(../fileURL)-3,4) = '.nrg' or //movie/container = 'BIN' or substring(../fileURL,string-length(../fileURL)-3,4) = '.BIN' or substring(../fileURL,string-length(../fileURL)-3,4) = '.bin' or //movie/container = 'VIDEO_TS' or substring(../fileURL,string-length(../fileURL)-7,8) = 'VIDEO_TS' or substring(../fileURL,string-length(../fileURL)-7,8) = 'video_ts'">
					<xsl:value-of select="../fileURL" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="../fileURL" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		
		<!--<xsl:when test="$TVPlaylist='true' and $ForComputer='true'">
			<xsl:value-of select="../fileURL" />
		</xsl:when>-->

	</xsl:choose>
</xsl:variable>
			<xsl:variable name="episodeTitle" select="../tokenize(@title,' / ')" />

			<xsl:variable name="pass" select="@part - ../@firstPart +1" />
      <xsl:variable name="episodeNo">
        <xsl:choose>
  			  <xsl:when test="string-length(@part) = '1'">0<xsl:value-of select="@part"/></xsl:when>
  			  <xsl:otherwise><xsl:value-of select="@part"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>

<!--			<xsl:if test="$position &lt; 21">-->

      	<xsl:variable name="posX">
      		<xsl:choose>
      		  <xsl:when test="$position &lt; 6">epLeft</xsl:when>
      		  <xsl:when test="$position &gt; 5 and $position &lt; 11">epMid</xsl:when>
      		  <xsl:when test="$position &gt; 10 and $position &lt; 16">epMid2</xsl:when>
      		  <xsl:otherwise>epRight</xsl:otherwise>
      		</xsl:choose>
      	</xsl:variable>

      	<xsl:variable name="modulo">
      		<xsl:value-of select="$position mod 5" />
      	</xsl:variable>

      	<xsl:variable name="posY" select="if ($modulo != 0) then $modulo else 5" />

      	<xsl:variable name="epNum" select="count(/details/movie/files/file/filePlot)" />

<!--      	<div>-->
<!--      	<xsl:attribute name="class">tabTvShow abs text <xsl:value-of select="$posX" /> lineTv<xsl:value-of select="$posY" /></xsl:attribute>-->
    				 <table border="0" cellpadding="0" cellspacing="0"><tr><td>

      	  <a class="TvLink">
						<xsl:attribute name="href"><xsl:value-of select="$URL"/></xsl:attribute>
            <xsl:call-template name="getPlayAttr">
              <xsl:with-param name="fUrl" select="$URL" />
            </xsl:call-template>

						<xsl:attribute name="id">a_e_<xsl:value-of select="$position"/></xsl:attribute>
						<xsl:attribute name="name">episode<xsl:value-of select="$position"/></xsl:attribute>
						<!--<xsl:attribute name="onfocus">showEpisode(<xsl:value-of select="$position"/>)</xsl:attribute>-->
						<xsl:attribute name="onkeydownset">todown</xsl:attribute>
						<xsl:attribute name="onkeyrightset">toright</xsl:attribute>
						<xsl:attribute name="onkeyupset">toup</xsl:attribute>
						<xsl:attribute name="onkeyleftset">toleft</xsl:attribute>
						<xsl:attribute name="onmouseover">showEpisode(<xsl:value-of select="$position"/>)</xsl:attribute>
<!--						<xsl:choose>
						  <xsl:when test="$position = 1">
                <xsl:attribute name="onkeyupset">yellow</xsl:attribute>
						  </xsl:when>
						  <xsl:when test="$position = 20 or $position = $epNum">
                <xsl:attribute name="onkeydownset">episode1</xsl:attribute>
						  </xsl:when>
						  <xsl:when test="$posY = 1 and $position &gt; 1">
						    <xsl:attribute name="onkeyupset">episode<xsl:value-of select="$position - 1"/></xsl:attribute>
						  </xsl:when>
						  <xsl:when test="$posY = 5 and $position &lt; 20">
						    <xsl:attribute name="onkeydownset">episode<xsl:value-of select="$position + 1"/></xsl:attribute>
						  </xsl:when>
						  <!**
						  <xsl:when test="$posY = 5 and $position= 20">
						    <xsl:attribute name="onkeydownset">scrollDown</xsl:attribute>
						  </xsl:when>
						  **>
						</xsl:choose>-->

						<!-- Navigation RIGHT for the last 5 Links  -->
<!--						<xsl:choose>
						  <xsl:when test="$epNum &gt;= 20 and $posX='epRight'">
                <xsl:attribute name="onkeyrightset">episode<xsl:value-of select="$position - 15"/></xsl:attribute>
						  </xsl:when>
						  <xsl:when test="$epNum &lt;= 20 and $position &gt; 5 and $position &gt;= $epNum - 4 ">
                <xsl:attribute name="onkeyrightset">episode<xsl:value-of select="$posY"/></xsl:attribute>
						  </xsl:when>
						</xsl:choose>-->

						<!-- Navigation LEFT for Link 1-5  -->
<!--						<xsl:choose>
						  <xsl:when test="$epNum &gt;= 20 and $position &lt; 6">
                <xsl:attribute name="onkeyleftset">episode<xsl:value-of select="$position + 15"/></xsl:attribute>
						  </xsl:when>
						  <xsl:when test="$epNum &lt;= 20 and $position &lt; 6">
						    <xsl:choose>
								  <xsl:when test="$epNum &gt;= 15">
								    <xsl:if test="$position + 15 &lt;= $epNum"><xsl:attribute name="onkeyleftset">episode<xsl:value-of select="$position + 15"/></xsl:attribute></xsl:if>
								    <xsl:if test="$position + 15 &gt; $epNum"><xsl:attribute name="onkeyleftset">episode<xsl:value-of select="$position + 10"/></xsl:attribute></xsl:if>
								  </xsl:when>
								  <xsl:when test="$epNum &gt;= 10">
		                <xsl:if test="$position + 10 &lt;= $epNum"><xsl:attribute name="onkeyleftset">episode<xsl:value-of select="$position + 10"/></xsl:attribute></xsl:if>
								    <xsl:if test="$position + 10 &gt; $epNum"><xsl:attribute name="onkeyleftset">episode<xsl:value-of select="$position + 5"/></xsl:attribute></xsl:if>
								  </xsl:when>
								  <xsl:otherwise>
								    <xsl:if test="$position + 5 &lt;= $epNum"><xsl:attribute name="onkeyleftset">episode<xsl:value-of select="$position + 5"/></xsl:attribute></xsl:if>
								  </xsl:otherwise>
								</xsl:choose>
						  </xsl:when>
						</xsl:choose>-->

 
						<span class="tabTvShow">
    					<xsl:attribute name="id">s_e_<xsl:value-of select="$position"/></xsl:attribute>
                    	<xsl:choose>
    				                  	<xsl:when test="$show_episode_names='true'">
    								<xsl:value-of select="$episodeNo"/>.
            			<xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="$episodeTitle[$pass]"/> 
            			 	</xsl:with-param>
                            
            			 	<xsl:with-param name="length" select="$tTitleTrunca" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="0" />
            	  	</xsl:call-template>
            	  	<!-- <xsl:if test="$pass &gt; 1"> (e<xsl:value-of select="@part - $pass +1"/>)</xsl:if>-->
    						</xsl:when>
    						<xsl:otherwise>
    							<xsl:choose>
    								<xsl:when test="string-length(//movie/season) = '1'">s0<xsl:value-of select="//movie/season"/></xsl:when>
    								<xsl:otherwise>s<xsl:value-of select="//movie/season"/></xsl:otherwise>
    							</xsl:choose>e<xsl:value-of select="$episodeNo"/>
    						</xsl:otherwise>
    					</xsl:choose>
                        	
						<!--<img src="pictures/epoff.png" onfocussrc="pictures/epon.png"></img>&#160;--> 
  					</span>
					</a></td></tr></table>
					<!-- TODO hier mal schauen, ob das nicht besser geht onloadset usw... -->
					<a href="#" class="tabTvShow">
						<xsl:attribute name="TVID"><xsl:value-of select="@part"/></xsl:attribute>
						<xsl:attribute name="onclick">setFocusNew(<xsl:value-of select="$position"/>); return false;</xsl:attribute>
						<xsl:attribute name="id">t_e_<xsl:value-of select="$position"/></xsl:attribute>
					</a>

<!--      	</div>-->

<!--      </xsl:if>-->

	</xsl:template>

  <xsl:template name="getPlayAttr">
    <xsl:param name="fUrl"></xsl:param>
    <xsl:variable name="file-container">
      <xsl:call-template name="substring-after-last">
        <xsl:with-param name="string" select="$fUrl" />
        <xsl:with-param name="delimiter" select="'.'" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:choose>
		  <xsl:when test="translate($file-container,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='vob' and $nomenus='true'">
        <xsl:attribute name="vod"/>
      </xsl:when>
      <xsl:when test="translate($file-container,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz') = 'iso'
            or translate($file-container,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz') = 'img'
            or translate($file-container,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz') = 'mdf'
            or translate($file-container,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz') = 'nrg'
            or translate($file-container,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz') = 'bin'">
        <xsl:attribute name="zcd">2</xsl:attribute>
      </xsl:when>
      <xsl:when test="translate(substring($fUrl, string-length($fUrl)-7, 8),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz') = 'video_ts'">
          <!-- <xsl:attribute name="zcd">2</xsl:attribute>
        <xsl:attribute name="vod"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="vod" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template> -->
  
          <xsl:attribute name="zcd">2</xsl:attribute>
        <xsl:attribute name="vod"/>
      </xsl:when>
      <xsl:otherwise>

<xsl:choose>
<xsl:when test="$TVPlaylist='false'">
	<xsl:choose>
		<xsl:when test="//movie/container = 'RAR' or substring(../fileURL,string-length(../fileURL)-3,4) = '.RAR' or substring(../fileURL,string-length(../fileURL)-3,4) = '.rar'">
			<xsl:attribute name="vod">playlist</xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="vod" />
		</xsl:otherwise>
	</xsl:choose>
</xsl:when>
<xsl:when test="$TVPlaylist='true' and count(/details/movie/files/file/filePlot)!='1'">
<xsl:attribute name="vod">playlist</xsl:attribute>
</xsl:when>
<xsl:when test="$TVPlaylist='true' and count(/details/movie/files/file/filePlot)='1'">
<xsl:attribute name="vod"/>
</xsl:when>
</xsl:choose>
	  
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="imdbRating">
    <xsl:if test="rating != -1">
     <xsl:if test="$ShowStarRating = 'true'">
      <div>
       <img><xsl:attribute name="src">pictures/detail/rating_<xsl:value-of select="round(rating div 10)*10" />.png</xsl:attribute></img>
      </div>
     </xsl:if>
     <xsl:if test="$full_rating = 'true'">
      <xsl:if test="$ShowStarRating = 'true'">
       <div class="gold">
        IMDb: <xsl:value-of select="rating div 10" />/10
       </div>
      </xsl:if>
      <xsl:if test="$ShowStarRating = 'false'">
       <div class="gold">
        IMDb: <xsl:value-of select="rating div 10" />/10
       </div>
      </xsl:if>
     </xsl:if>
    </xsl:if>
  </xsl:template>


  <xsl:template name="infoTabContent">
    <!-- left -->

    <div class="tabInfo abs headline infoHeadLeft screen">Source</div>
    <div class="tabInfo abs text infoTextLeft screenText"><xsl:call-template name="video-source" /></div>

    <div class="tabInfo abs headline infoHeadLeft size line2">Size</div>
    <div class="tabInfo abs text infoTextLeft sizeText line2Text"><xsl:call-template name="template-resolution" /></div>

    <div class="tabInfo abs headline infoHeadLeft audio line4">Audio</div>
    <div id="audioDiv" class="tabInfo abs text infoTextLeft audioText line4Text">
      <xsl:call-template name="audio-codec" />
     </div>

    <div class="tabInfo abs headline infoHeadLeft output line3">Output</div>
    <div class="tabInfo abs text infoTextLeft outputText line3Text">
   		<xsl:call-template name="template-videoOutput-text" />
  	</div>

    <!-- middle -->
    <div class="tabInfo abs headline infoHeadMid subtitles line1">Subtitles</div>
    <div class="tabInfo abs text subtitlesText line1Text"><xsl:call-template name="template-subtitles" /></div>

  	<div class="tabInfo abs headline infoHeadMid video">Video</div>
    <div class="tabInfo abs text infoTextMid videoText"><xsl:call-template name="video-codec" /></div>

    <div class="tabInfo abs headline infoHeadMid fps line3">Fps</div>
    <div class="tabInfo abs text infoTextMid fpsText line3Text">
   		<xsl:value-of select="fps" />
  	</div>

    <!-- right -->
    <xsl:if test="libraryDescription != 'UNKNOWN'">
      <div class="tabInfo abs headline infoHeadRight library line1">Library</div>
      <div class="tabInfo abs text infoTextRight libraryText line1Text">
        <!-- get libraryDescription title from template -->
      	<xsl:call-template name="template-libraryDescription" />
    	</div>
  	</xsl:if>
  </xsl:template>

<!--  <xsl:template name="poster">
    <div id="imageDiv" class="abs poster hidden"><img id="image"><xsl:attribute name="src" select="detailPosterFile"  /><xsl:attribute name="width" select="$posters.width"  /></img></div>
  </xsl:template>-->
</xsl:stylesheet>
