<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes"/>
<xsl:template name="tv-detail">

<STYLE type="text/css">

<xsl:variable name="iRows"><xsl:choose><xsl:when test="count(files/file/filePlot) &lt; 26"><xsl:value-of select="ceiling(count(files/file/filePlot) div 5)"/></xsl:when><xsl:otherwise>5</xsl:otherwise></xsl:choose></xsl:variable >
<xsl:if test="$TVEpisodeList = 'false'">
<xsl:for-each select="files/file/filePlot">
	<xsl:if test="position() &lt;= 25">
	<!--<xsl:variable name="y_offset" select="floor((position()-1) div 5) + ((5-$iRows) div 2)"/>-->
	<xsl:variable name="y_offset" select="floor((position()-1) div 5)"/>
	<xsl:variable name="x_offset" select="(position()-1) - ((floor((position()-1) div 5)) * 5)"/>
	#selDVD<xsl:value-of select="position()" /> {visibility: hidden; position: absolute; top: <xsl:value-of select="38+130*$y_offset" />px; left: <xsl:value-of select="56+230*$x_offset" />px; }
	#imgDVD<xsl:value-of select="position()" /> {visibility: hidden; position: absolute; top: <xsl:value-of select="48+130*$y_offset" />px; left: <xsl:value-of select="66+230*$x_offset" />px; }
	#frmDVD<xsl:value-of select="position()" /> {visibility: hidden; position: absolute; top: <xsl:value-of select="44+130*$y_offset" />px; left: <xsl:value-of select="62+230*$x_offset" />px; }
	#titleDVD<xsl:value-of select="position()" /> {visibility: hidden; position: absolute; top: <xsl:value-of select="135+130*$y_offset" />px; left: <xsl:value-of select="70+230*$x_offset" />px; width:185px; text-align: center; font-size:10pt; font-weight: bold; color:#FFFFFF }
	#overlayPC<xsl:value-of select="position()" /> {visibility: hidden; position: absolute; top: <xsl:value-of select="48+130*$y_offset" />px; left: <xsl:value-of select="66+230*$x_offset" />px; }
	</xsl:if>
</xsl:for-each>
</xsl:if>

<xsl:if test="$TVEpisodeList = 'true'">
<xsl:for-each select="files/file/filePlot">
<xsl:if test="position() &lt;= 15">
<xsl:variable name="y_offset" select="(position()-1) - ((floor((position()-1) div 15)) * 15)"/>
#titleEp<xsl:value-of select="position()" /> {visibility: visible; position: absolute; top: <xsl:value-of select="$ScreenOverscan+340+20*$y_offset" />px; left: 970px;}
</xsl:if>
</xsl:for-each>
.EpLink {font-size:11pt; font-weight: bold; color:#FFFFFF; }
.EpLinkActiv {font-size:11pt; font-weight: bold; color:#FF9900; }

#EpPage {visibility: visible; position: absolute; top: <xsl:value-of select="$ScreenOverscan+640"/>px; left: 1120px; font-size:11pt; font-weight: bold; color:#FFFFFF;}
</xsl:if>
</STYLE>
<!-- BEGIN TV DETAILS PAGE CODE HERE -->


<body id="detailPage" bgproperties="fixed" bgcolor="#000000" onloadset="play" topmargin="0" leftmargin="0" focustext="#ffffff" focuscolor="transparent">

			<xsl:attribute name="background">
				<xsl:if test="fanartFile!='UNKNOWN'"><xsl:value-of select="fanartFile"/></xsl:if>
				<xsl:if test="fanartFile='UNKNOWN'">pictures/detail/dummy_fanart.jpg</xsl:if>
				
			</xsl:attribute>
			

<!-- BEGIN LOWLIST MOVIE DETAILS PAGE CODE HERE -->

<table height="720" border="0" cellspacing="0" cellpadding="0" width="1280" >
<!--<xsl:if test="$extras='false'"><xsl:attribute name="width">1280</xsl:attribute></xsl:if>
<xsl:if test="$extras='true'"><xsl:attribute name="width">2650</xsl:attribute></xsl:if>-->
<tr><td width="1280">
<table height="720" border="0" cellspacing="0" cellpadding="0" width="1280">

<tr><td width="1187" valign="top"><!-- 377 -->
<xsl:attribute name="height" select="265+$ScreenOverscan" />
	<table border="0" cellspacing="0" cellpadding="0" width="1187">
    <tr>
    <td height="50" >
	<table id="tv_index" width="1187" height="50" border="0" cellspacing="0" cellpadding="0" class="hidden">
			
			<tr>
				<td width="65"/>
				<td align="left" width="20"><img src="pictures/special/button_red.png"/></td>
				<td class="whitebold" align="left" width="210">
				<a class="link" name="playall" id="playall" TVID="RED" >
						
						<xsl:attribute name="href"><xsl:value-of select="concat(/details/movie/baseFilename,'.playlist.jsp')" /></xsl:attribute>
						<xsl:attribute name="vod">playlist</xsl:attribute>
						&#160;<xsl:value-of select="$PlayAllText"/>
				</a>
				</td>
				<td align="left" width="20"><img src="pictures/special/button_green.png"/></td>
				<td class="whitebold" align="left" width="210">
				<xsl:if test="$tv-random-episode = 'true'">
				<a class="link" name="randomplay" id="randomplay" TVID="GREEN">
							<xsl:attribute name="href"><xsl:value-of select="files/file[1]/fileURL"/></xsl:attribute>
							<xsl:call-template name="zcd">
								<xsl:with-param name="url" select="files/file[1]/fileURL"/>
							</xsl:call-template>
							 <xsl:attribute name="vod"></xsl:attribute>
							 &#160;<xsl:value-of select="$PlayRandomText"/>
				</a>
				</xsl:if>
				</td>
				
				<td id="page" align="right" class="whitebold" width="662">
				<xsl:if test="count(files/file/filePlot) &gt; 25">1 / <xsl:value-of select="ceiling(count(files/file/filePlot) div 25)"/></xsl:if>
				</td>
			</tr>
		</table>
	</td>
	</tr>
</table>									
</td>
<!-- 268+400=703 -->
<td width="93" align="left" valign="middle" rowspan="2" height="720" background="pictures/dim/custom_header-right.png">
	<a class="link" id="play" name="play">
							
							<xsl:attribute name="onkeydownset">todown</xsl:attribute>
							<xsl:attribute name="onkeyupset">toup</xsl:attribute>
							<xsl:attribute name="onkeyrightset">toright</xsl:attribute>
							<xsl:attribute name="onkeyleftset">toleft</xsl:attribute>
							<xsl:choose>				  
							<xsl:when test="$TVPlaylist = 'true'">
							<xsl:attribute name="href"><xsl:value-of select="concat(/details/movie/baseFilename,'.playlist.jsp')" /></xsl:attribute>
							<xsl:attribute name="vod">playlist</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="href"><xsl:value-of select="files/file[1]/fileURL"/></xsl:attribute>
									<xsl:call-template name="zcd">
										<xsl:with-param name="url" select="files/file[1]/fileURL"/>
									</xsl:call-template>
								<xsl:attribute name="vod"></xsl:attribute>
							</xsl:otherwise>
							</xsl:choose>
						  
						  <img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
		</a>
		<a class="link" TVID="PLAY">
							<xsl:attribute name="id">directplay</xsl:attribute>
							<xsl:attribute name="name">directplay</xsl:attribute>
							
							<xsl:attribute name="onkeydownset">todown</xsl:attribute>
							<xsl:attribute name="onkeyupset">toup</xsl:attribute>
							<xsl:attribute name="onkeyrightset">toright</xsl:attribute>
							<xsl:attribute name="onkeyleftset">toleft</xsl:attribute>
							
							<xsl:attribute name="href"><xsl:value-of select="files/file[1]/fileURL"/></xsl:attribute>
							
							<xsl:call-template name="zcd">
								<xsl:with-param name="url" select="files/file[1]/fileURL"/>
							</xsl:call-template>
							
							<xsl:attribute name="vod"></xsl:attribute>
							
						  <img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
		</a>
		
	<xsl:choose>
	<xsl:when test="$TVEpisodeList = 'true'">
	<a href="#play" name="toleft" onfocus="changeEpisode(-15)" onfocusset="play" onfocusload="" ><img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/></a>
	<a href="#play" name="toright" onfocus="changeEpisode(15)" onfocusset="play" onfocusload="" ><img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/></a>
	<a  href="#play" name="toup" onfocus="changeEpisode(-1)" onfocusset="play" onfocusload=""><img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/></a>
	<a  href="#play" name="todown" onfocus="changeEpisode(1)" onfocusset="play" onfocusload="" ><img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/></a>
	</xsl:when>
	<xsl:otherwise>
	<a href="#play" name="toleft" onfocus="changeEpisode(-1)" onfocusset="play" onfocusload="" ><img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/></a>
	<a href="#play" name="toright" onfocus="changeEpisode(1)" onfocusset="play" onfocusload="" ><img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/></a>
	<a  href="#play" name="toup" onfocus="changeEpisode(-5)" onfocusset="play" onfocusload=""><img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/></a>
	<a  href="#play" name="todown" onfocus="changeEpisode(5)" onfocusset="play" onfocusload="" ><img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/></a>
	</xsl:otherwise>
	</xsl:choose>
	<a TVID="TAB" href="#play" name="switchList" onfocusset="play" onclick="toggleDetail()"/>
	
	
		
	  <!--<xsl:call-template name="gt-playfile"/>-->
	 <!--<a class="link" href="file:///opt/sybhttpd/localhost.drives/NETWORK_SHARE/filme/Filme/Armageddon/Armageddon%5BDVD%5D.iso" onkeydownset="pgdn" onkeyupset="pgup" onkeyrightset="pgdn" onkeyleftset="pgup" TVID="Play" name="play" id="play" zcd="2" vod=""><img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/></a>-->
	
</td>


</tr>
<tr>
	<td>
		<table id="tv_detail" width="1187" height="300" border="0" cellspacing="0" cellpadding="0" class="">
			<xsl:attribute name="background">pictures/dim/custom_tvbg-dim.png</xsl:attribute>
			<tr>
				<td width="85" height="320" valign="top"  align="left"/>
				<td width="320" height="320" valign="top"  align="left">
					<table cellspacing="10" >
						<tr>
							<td height="255" colspan="2"></td>
						</tr>
						<tr>
							<td valign="bottom" colspan="2" width="320">
							<xsl:choose>
							<xsl:when test="string-length(title) &lt; 19">
							<xsl:attribute name="class">tveptitle24</xsl:attribute>
							</xsl:when>
							<xsl:when test="string-length(title) &gt; 18 and string-length(title) &lt; 25">
							<xsl:attribute name="class">tveptitle20</xsl:attribute>
							</xsl:when>
							<xsl:when test="string-length(title) &gt; 24">
							<xsl:attribute name="class">tveptitle16</xsl:attribute>
							</xsl:when>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="string-length(title) &lt; 29"><!-- 25-->
								<xsl:value-of select="title"/>
								</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring(title,1,27)"/>...
							</xsl:otherwise>
							</xsl:choose>
							</td>
						</tr>
						<tr>
							<td valign="top" class="tveptitle16" >
							<xsl:choose>
								<xsl:when test="season > 0"><xsl:value-of select="$Season"/>&#160;<xsl:value-of select="season"/></xsl:when>
								<xsl:when test="season = 0"><xsl:value-of select="$Specials"/></xsl:when>
							</xsl:choose>
							</td>
							<td align="right" valign="top" class="tveptitle16">
							<xsl:if test="$tv-show-episodecount = 'false'">
								<xsl:if test="$ShowStarRating = 'true' and rating != '-1'">
								<img><xsl:attribute name="src">pictures/detail/rating_<xsl:value-of select="round(rating div 10)*10" />.png</xsl:attribute></img>
								</xsl:if>
							</xsl:if>
							<xsl:if test="$tv-show-episodecount = 'true'">
							<xsl:value-of select="count(files/file/filePlot)"/>&#160;<xsl:value-of select="$Episodes"/>
							</xsl:if>
							</td>
						</tr>						
					</table>
				</td>
				<td width="500" height="320" valign="top"  align="left">
					<table cellspacing="10" >
						<tr>
							<td height="45"  colspan="2"></td>
						</tr>
						<tr>
							<td valign="center" height="70" id="episodeName"  colspan="2">
							<!--<xsl:choose>
							<xsl:when test="string-length(files/file[1]/fileTitle) &lt; 24">
							<xsl:attribute name="class">tveptitle</xsl:attribute>
							</xsl:when>
							<xsl:when test="string-length(files/file[1]/fileTitle) &gt; 23 and string-length(files/file[1]/fileTitle) &lt; 26">
							<xsl:attribute name="class">tveptitle24</xsl:attribute>
							</xsl:when>
							<xsl:when test="string-length(files/file[1]/fileTitle) &gt; 25 and string-length(files/file[1]/fileTitle) &lt; 29">
							<xsl:attribute name="class">tveptitle22</xsl:attribute>
							</xsl:when>
							<xsl:when test="string-length(files/file[1]/fileTitle) &gt; 28 and string-length(files/file[1]/fileTitle) &lt; 31">
							<xsl:attribute name="class">tveptitle20</xsl:attribute>
							</xsl:when>
							<xsl:when test="string-length(files/file[1]/fileTitle) &gt; 30 and string-length(files/file[1]/fileTitle) &lt; 37">
							<xsl:attribute name="class">tveptitle18</xsl:attribute>
							</xsl:when>
							<xsl:when test="string-length(files/file[1]/fileTitle) &gt; 36 ">
							<xsl:attribute name="class">tveptitle16</xsl:attribute>
							</xsl:when>
							</xsl:choose>
								<xsl:for-each select="files/file[position()=1]"><xsl:value-of select="@firstPart" />: 
								<xsl:choose>
									<xsl:when test="string-length(fileTitle) &lt; 39">
										<xsl:value-of select="fileTitle"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring(fileTitle,1,37)"/>...
									</xsl:otherwise>
								</xsl:choose>
								</xsl:for-each>		-->
									<xsl:choose>
					<xsl:when test="string-length(files/file[1]/fileTitle) &lt; 25">
						<xsl:attribute name="class">tvtt</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="class">tvtt_small</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			 <xsl:for-each select="files/file[position()=1]"><xsl:value-of select="@firstPart" />: 
				<xsl:choose>
					<xsl:when test="string-length(fileTitle) &lt; 50">
						<xsl:value-of select="fileTitle"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="substring(fileTitle,1,48)"/>...
					</xsl:otherwise>
				</xsl:choose>
				</xsl:for-each>	
							</td>
						</tr>
						<tr>
							<td valign="top" height="170" id="episodeId" class="plot" colspan="2">
								 <xsl:for-each select="files/file[position()=1]">
								<xsl:choose>
								<xsl:when test="string-length(filePlot) &lt; 400"><!-- 420 -->
								<xsl:value-of select="filePlot"/>
								</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="filePlot"/> 
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="400" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
							<xsl:with-param name="trailing_string">...</xsl:with-param >
								</xsl:call-template>
							</xsl:otherwise>
							</xsl:choose>
							
								 </xsl:for-each>											
							</td>
						</tr>
						<tr>
							<td width="131">
							<xsl:if test="$tv-show-episodecount = 'true'">
								<xsl:if test="$ShowStarRating = 'true' and rating != '-1'">
								<img><xsl:attribute name="src">pictures/detail/rating_<xsl:value-of select="round(rating div 10)*10" />.png</xsl:attribute></img>
								</xsl:if>
							</xsl:if>	
							</td>
							<td class="gray">
							<xsl:if test="$ShowNumberRating = 'true'">&#160;(<xsl:value-of select="rating div 10" />/10)</xsl:if>	
							</td>
						</tr>						
					</table>	
					
				</td>
				<td width="240" height="320" valign="top"  align="left">
					<table border="0" cellspacing="10" cellpadding="0">
				<tr>
					<td width="20"></td>
					<td width="240">
							<table id="TabInfo" >
							<xsl:if test="$TVEpisodeList = 'true'"><xsl:attribute name="class">hidden</xsl:attribute></xsl:if>
								<tr><td height="50" colspan="2"></td>
								</tr>
								<tr>
									<td>
										<table>
											<tr>
												
												<xsl:if test="$ShowRuntime='true' and runtime != ''">
													<td>
													<table>
														<tr>
															<td class="whitebold" width="90" align="left">
																<xsl:value-of select="translate($Duration,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
															</td>
														</tr>
														<tr>
															<td class="whitenormal" width="140" align="left" >
																<xsl:choose>
																	<xsl:when test="string-length(runtime)&lt;15">
																		<xsl:value-of select="runtime"/><xsl:if test="not(contains(runtime,'min')) and not(contains(runtime,'m'))"> min</xsl:if>
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of select="substring(runtime,1,15)"/>...
																	</xsl:otherwise>
																</xsl:choose>
															</td>
														</tr>
													</table>
													</td>
												</xsl:if>
												<xsl:if test="$ShowFilesize='true' and fileSize != ''">
													<td>
													<table>
														<tr>
															<td class="whitebold" width="90" align="left">
																<xsl:value-of select="translate($Filesize,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
															</td>
														</tr>
														<tr>
															<td class="whitenormal" width="140" align="left" >
																<xsl:value-of select="fileSize" />
															</td>
														</tr>
													</table>
													</td>
												</xsl:if>
												<xsl:if test="$ShowCountry='true' and country != ''">
													<td>
													<table>
														<tr>
															<td class="whitebold" width="90" align="left">
																<xsl:value-of select="translate($Country,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
															</td>
														</tr>
														<tr>
															<td class="whitenormal" width="140" align="left" >
																<xsl:choose>
																	<xsl:when test="string-length(country)&lt;15"><xsl:value-of select="country"/></xsl:when>
																	<xsl:otherwise><xsl:value-of select="substring(country,1,15)"/>...</xsl:otherwise>
																</xsl:choose>
															</td>
														</tr>
													</table>
													</td>
												</xsl:if>
												
												<xsl:if test="$ShowYear='true' and year != ''">
													<td>
													<table>
														<tr>
															<td class="whitebold" width="90" align="left">
																<xsl:value-of select="translate($Release,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
															</td>
														</tr>
														<tr>
															<td class="whitenormal" width="140" align="left" >
																<xsl:value-of select="year" />
															</td>
														</tr>
													</table>
													</td>
												</xsl:if>
												<td/>
											</tr>
										</table>
									</td>		
								</tr>
								<tr>
						<td>
							<table>	
					<tr>
						<td>
							<table>	
								<!--<xsl:if test="$ShowRuntime='true' or $ShowFilesize='true' or $ShowCountry='true' or $ShowYear='true'">
								<tr>
									<td height="9"></td>
								</tr>
								</xsl:if>-->
								<xsl:if test="director != 'UNKNOWN'">
								<tr>	
									<td class="whitebold">
										<xsl:if test="$DirectedBy=''">DIRECTED BY</xsl:if>
										<xsl:if test="$DirectedBy!=''"><xsl:value-of select="$DirectedBy"/></xsl:if>
									</td>
								</tr>
								<tr>
								
									<td >
										
											<xsl:attribute name="class">whitenormal</xsl:attribute>
										  <xsl:choose>
											<xsl:when test="director/@index != ''">
												<xsl:value-of select="director" /> 
											</xsl:when>
											<xsl:otherwise>
											  <xsl:value-of select="director" />
											</xsl:otherwise>
										  </xsl:choose>
										
									</td>
								
								
								</tr></xsl:if>
							<xsl:if test="$ShowWriter = 'true' and count(writers/writer) != 0">
							<tr>
								<td height="9"></td>
							</tr>
							<tr>
								<td valign="top" class="whitebold">
									<xsl:if test="$WrittenBy=''">WRITTEN BY</xsl:if>
									<xsl:if test="$WrittenBy!=''"><xsl:value-of select="$WrittenBy"/></xsl:if>
								</td>
								</tr>
								<tr>
									<td>
									<xsl:if test="count(writers/writer) != 0">
										<xsl:for-each select="writers/writer[position() &lt;= $ShowMaxWriters]">
										<table border="0" cellpadding="0" cellspacing="0"><tr><td><xsl:attribute name="class">whitenormal</xsl:attribute>
										<xsl:if test="position()!= 1">  </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
										</td></tr></table>
									  </xsl:for-each>
									</xsl:if>
									</td>
								</tr>
							</xsl:if>
							<tr>
								<td height="9"></td>
							</tr>
							<xsl:if test="count(cast/actor) != 0">
							<tr>
								<td valign="top" class="whitebold">
									<xsl:if test="$Starring=''">STARRING</xsl:if>
									<xsl:if test="$Starring!=''"><xsl:value-of select="$Starring"/></xsl:if>
								</td>
								</tr>
								<tr>
									<td>	
									
										<xsl:variable name="maxActors" select="$ShowMaxActors" /> 
									  <xsl:for-each select="cast/actor[position() &lt;= $maxActors]">
									  <table border="0" cellpadding="0" cellspacing="0"><tr><td><xsl:attribute name="class">whitenormal</xsl:attribute>
										<xsl:if test="position()!=1">  </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
										</td></tr></table>
									  </xsl:for-each>
									
								</td>
							</tr>
							</xsl:if>
							<xsl:if test="$ShowGenre='true'">
							<tr>
								<td height="9"></td>
							</tr>
							<tr>
								<td class="whitebold">
									<xsl:value-of select="translate($Genre,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
								</td>
								</tr>
								<tr>
								<td>
									<xsl:if test="count(genres) != 0">
										<xsl:attribute name="class">whitenormal</xsl:attribute>
									  <xsl:for-each select="genres/genre[position() &lt;= $ShowMaxGenre]">
										<xsl:if test="position()!= 1"> / </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
									  </xsl:for-each>
									</xsl:if>
								</td>
							</tr>
							</xsl:if>
							<xsl:if test="$ShowLibrary = 'true'">
							<tr>
								<td height="9"></td>
							</tr>
							<tr>
								<td class="whitebold">
									<xsl:value-of select="translate($Library,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
								</td></tr>
								<tr>
								<td>
									<xsl:if test="libraryDescription != 'UNKNOWN'">
										<xsl:attribute name="class">whitenormal</xsl:attribute>
										<xsl:value-of select="libraryDescription" /> 
									</xsl:if>
								</td>
							</tr>
							</xsl:if>
							</table>	
					</td>
				</tr>	
						</table>	
					</td>
				</tr>	
					</table>
					</td>
				</tr>
			</table>	
					
				</td>
			</tr>
				<tr>
					<td height="65" width="85" valign="top"></td>
					<td colspan="3">
						<table border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td>
						<!-- 
						<xsl:if test="$ShowVideoSource='true'"><xsl:call-template name="videoSource" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoCodec='true'"><xsl:call-template name="videoCodec" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowAudioCodec='true'"><xsl:call-template name="audioCodec" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowSubtitles='true'"><xsl:call-template name="subtitles" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowContainer='true'"><xsl:call-template name="container" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoOutput='true'"><xsl:call-template name="videoOutput" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowFrameRate='true'"><xsl:call-template name="framerate" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowAspectRatio='true'"><xsl:call-template name="aspectratio"/>&#160;&#160;</xsl:if>
						-->
						<xsl:if test="$ShowAspectRatio='true'"><xsl:call-template name="aspectratio"/>&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoSource='true'"><xsl:call-template name="videoSource" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowFrameRate='true'"><xsl:call-template name="framerate" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoOutput='true'"><xsl:call-template name="videoOutput" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoCodec='true'"><xsl:call-template name="videoCodec" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowAudioCodec='true'"><xsl:call-template name="audioCodec" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowContainer='true'"><xsl:call-template name="container" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowSubtitles='true'"><xsl:call-template name="subtitles" />&#160;&#160;</xsl:if>
						
                        <xsl:if test="certification != 'UNKNOWN' and certification != '' and certification != 'Not Rated' and $ShowCertification = 'true'">
							<xsl:call-template name="certification" />
						</xsl:if>   
		
						<img><xsl:attribute name="src">pictures/dim/blank.png</xsl:attribute></img>

						<!--<xsl:if test="$ShowStudioField='true'">
							<img height="40"><xsl:attribute name="src">pictures/studios/<xsl:value-of select="company"/>.png</xsl:attribute></img>
						</xsl:if>-->		  
					</td>
					<td>
					<table>
					<tr>
					<td height="35" width="95"><xsl:if test="$ShowStudioField='true'">
<xsl:attribute name="background">pictures/studios/<xsl:value-of select="company"/>.png</xsl:attribute></xsl:if></td>
					</tr>
					</table>
					</td>
					</tr>
					</table>
					</td>
				</tr>
		</table>
	</td>
</tr>
	</table>

</td><!--<td valign="top" align="right">

<xsl:if test="$extras='true'"><xsl:call-template name="companion"/></xsl:if>

</td>--></tr></table>


<img width="300"><xsl:attribute name="id">EpisodeImg</xsl:attribute>
<xsl:attribute name="src">
<xsl:choose>
<xsl:when test="/details/movie/files/file[1]/fileImageURL != 'UNKNOWN'"><xsl:value-of select="/details/movie/files/file[1]/fileImageFile" /></xsl:when>
<xsl:otherwise>pictures/detail/dummy_videoimage.jpg</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
</img>


	<img width="320" id="EpisodeImgFrame"><xsl:attribute name="src">pictures/special/tv-frame<xsl:if test="$ShowDetailThinFrame = 'true'">_small</xsl:if>.png</xsl:attribute></img>
	
	<img src="pictures/dim/custom_tvbg-mov-r_dim-gap.png" id="tvbgdimr"/>
	
	<img id="EpisodeWatched"><xsl:attribute name="src"><xsl:choose><xsl:when test="/details/movie/files/file[1]/watchedDate != 'UNKNOWN'">pictures/special/tv_watched.png</xsl:when><xsl:otherwise>pictures/1x1.png</xsl:otherwise></xsl:choose></xsl:attribute></img>
	
	
<!-- END LOWLIST MOVIE DETAILS PAGE CODE HERE -->


<xsl:if test="$TVEpisodeList = 'true'">
<xsl:for-each select="files/file/fileTitle">
<xsl:if test="position() &lt;= 15">
<div>
	<xsl:attribute name="id">titleEp<xsl:value-of select="position()" /></xsl:attribute>
	<xsl:choose>
	<xsl:when test="position() = 1"><xsl:attribute name="class">EpLinkActiv</xsl:attribute></xsl:when>
	<xsl:otherwise><xsl:attribute name="class">EpLink</xsl:attribute></xsl:otherwise>
	</xsl:choose>
	<xsl:if test="@part &lt; 10">0</xsl:if><xsl:value-of select="@part" />.&#160;<xsl:choose>
									<xsl:when test="string-length(.) &lt; 22">
										<xsl:value-of select="."/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring(.,1,20)"/>...
									</xsl:otherwise>
								</xsl:choose>
	</div>
</xsl:if>
</xsl:for-each>
<xsl:if test="count(files/file/fileTitle) &gt; 15">
<div id="EpPage">
1 / <xsl:value-of select="ceiling(count(files/file/filePlot) div 15)"/>
</div>
</xsl:if>
</xsl:if>


<xsl:if test="$TVEpisodeList = 'false'">
<xsl:for-each select="files/file/fileImageFile">
	<xsl:if test="position() &lt;= 25">
	<xsl:variable name="iPart" select="@part"/>
	<img>
	<xsl:attribute name="id">selDVD<xsl:value-of select="position()" /></xsl:attribute>
	<xsl:attribute name="src">pictures/special/tv-selector.png</xsl:attribute>
	</img>
	
	<img width="192" height="110">
	<xsl:attribute name="id">imgDVD<xsl:value-of select="position()" /></xsl:attribute>
	<xsl:attribute name="src">
	<xsl:if test="/details/movie/files/file/fileImageURL[@part=$iPart] != 'UNKNOWN'"><xsl:value-of select="." /></xsl:if>
	<xsl:if test="/details/movie/files/file/fileImageURL[@part=$iPart] = 'UNKNOWN'">pictures/detail/dummy_videoimage.jpg</xsl:if>
	</xsl:attribute>
	</img>
	
	<img>
	<xsl:attribute name="id">frmDVD<xsl:value-of select="position()" /></xsl:attribute><xsl:attribute name="src">pictures/special/tv-index-frame.png</xsl:attribute>
	<!--<xsl:choose>
	<xsl:when test="/details/movie/files/file/watchedDate[position()] != ''"><xsl:attribute name="src">pictures/special/tv-index-watched.png<xsl:value-of select="/details/movie/files/file/watchedDate"/></xsl:attribute></xsl:when>
	<xsl:otherwise><xsl:attribute name="src">pictures/special/tv-index-frame.png</xsl:attribute></xsl:otherwise>
	</xsl:choose>-->
	</img>
	
	
	
	</xsl:if>
</xsl:for-each>
<xsl:for-each select="files/file/fileTitle">
	<xsl:if test="position() &lt;= 25">
	
	<div>
	<xsl:attribute name="id">titleDVD<xsl:value-of select="position()" /></xsl:attribute>
	<xsl:value-of select="@part" />:&#160;<xsl:choose>
									<xsl:when test="string-length(.) &lt; 22">
										<xsl:value-of select="."/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring(.,1,20)"/>...
									</xsl:otherwise>
								</xsl:choose>
	</div>
	
	<a>	
	<xsl:attribute name="id">l<xsl:value-of select="position()" /></xsl:attribute>
	<xsl:attribute name="name"><xsl:value-of select="position()" /></xsl:attribute>
	<xsl:attribute name="href">#play</xsl:attribute>
	<xsl:attribute name="onmouseover">show(<xsl:value-of select="position()" />)</xsl:attribute>
	<xsl:attribute name="onmouseout">hide(<xsl:value-of select="position()" />)</xsl:attribute>
	<xsl:attribute name="onfocus">show(<xsl:value-of select="position()" />)</xsl:attribute>
	<xsl:attribute name="onblur">hide(<xsl:value-of select="position()" />)</xsl:attribute>
	<xsl:attribute name="onclick">toggleDetail()</xsl:attribute>
	<img width="192" height="110">
	<xsl:attribute name="id">overlayPC<xsl:value-of select="position()" /></xsl:attribute>
	<xsl:attribute name="src">pictures/wall/transparent.png</xsl:attribute>
	</img>
	</a>
	<!--<a href="#">
	<xsl:attribute name="id">x<xsl:value-of select="position()" /></xsl:attribute>
	<xsl:attribute name="onfocusset"><xsl:value-of select="position()" /></xsl:attribute>
	<xsl:attribute name="onclick">setFocus('l<xsl:value-of select="position()"/>');show(<xsl:value-of select="position()"/>)</xsl:attribute>
    <xsl:attribute name="onfocus">setFocus('l<xsl:value-of select="position()"/>');show(<xsl:value-of select="position()"/>)</xsl:attribute>
	<xsl:attribute name="TVID"><xsl:value-of select="position()"/></xsl:attribute>
	</a>-->
	
	</xsl:if>
</xsl:for-each>
</xsl:if>
	
<xsl:for-each select="files/file/fileTitle">	
<a href="#">
		<xsl:attribute name="tvid"><xsl:value-of select="@part"/></xsl:attribute> 
		<xsl:attribute name="onclick">showEpisode(<xsl:value-of select="position()"/>);</xsl:attribute> 
	</a>
</xsl:for-each>



<xsl:if test="$use-pcmenu = 'true'">
<div id="noNMT">
     <br />
    <a href="#" class="clickInfos" onclick="toggleDetail(); return false;">Episodelist on/off</a>
        <br />
    <xsl:choose>
	<xsl:when test="$TVEpisodeList = 'true'">
	<a href="#" class="clickUp" onclick="changeEpisode(-1); return false;">Click Up</a>
    <a href="#" class="clickDown" onclick="changeEpisode(1); return false;">Click Down</a>
    <a href="#" class="clickLeft" onclick="changeEpisode(-15); return false;">Click Left</a>
    <a href="#" class="clickRight" onclick="changeEpisode(15); return false;">Click Right</a>
	</xsl:when>
	<xsl:otherwise>
	<a href="#" class="clickUp" onclick="changeEpisode(-5); return false;">Click Up</a>
    <a href="#" class="clickDown" onclick="changeEpisode(5); return false;">Click Down</a>
    <a href="#" class="clickLeft" onclick="changeEpisode(-1); return false;">Click Left</a>
    <a href="#" class="clickRight" onclick="changeEpisode(1); return false;">Click Right</a>
	</xsl:otherwise>
	</xsl:choose>
	<br />
    <a class="pageUp"><xsl:attribute name="href"><xsl:choose><xsl:when
          test="contains(previous,'UNKNOWN')"><xsl:value-of select="last" />.html</xsl:when><xsl:otherwise><xsl:value-of
          select="previous" />.html</xsl:otherwise></xsl:choose></xsl:attribute>Previous Movie</a>
    <a class="pageDown"><xsl:attribute name="href"><xsl:choose><xsl:when
          test="contains(next,'UNKNOWN')"><xsl:value-of select="first" />.html</xsl:when><xsl:otherwise><xsl:value-of
          select="next" />.html</xsl:otherwise></xsl:choose></xsl:attribute>Next Movie</a>
  		<br />
	  <a class="clickIndex">
		<xsl:if test="$use-startmenu='false'"><xsl:attribute name="href"><xsl:value-of select="$currentHomePage"/>.html</xsl:attribute></xsl:if>
		<xsl:if test="$use-startmenu='true'"><xsl:attribute name="href">../index.htm</xsl:attribute></xsl:if>
		Index</a>
	  <br />
	  
  </div>
  </xsl:if>
  
 
</body>
<!-- END TV DETAILS PAGE CODE HERE -->

</xsl:template>
</xsl:stylesheet>